import { openBlock, resolveDynamicComponent, unref, normalizeClass, renderSlot, createBlock, createCommentVNode, withCtx, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InRipple } from '../../ripple/index.mjs';
import { actionAreaProps } from './action-area.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: actionAreaProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("action-area");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(resolveDynamicComponent(_ctx.$props.component), {
        class: normalizeClass([unref(ns).b(), _ctx.$props.disabled ? unref(ns).m("disabled") : "", unref(cssClass)])
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default"),
          !_ctx.$props.disabled ? (openBlock(), createBlock(unref(InRipple), {
            key: 0,
            color: "onSurface"
          })) : createCommentVNode("v-if", true)
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
