import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import SuccessOutlined from '../../svg-icon/internal/SuccessOutlined.vue.mjs';
import WarningOutlined from '../../svg-icon/internal/WarningOutlined.vue.mjs';
import ErrorOutlined from '../../svg-icon/internal/ErrorOutlined.vue.mjs';
import InfoOutlined from '../../svg-icon/internal/InfoOutlined.vue.mjs';
import { componentSeverities } from '../../../../constants/src/severities.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const alertVariants = ["filled", "outlined"];
const alertProps = buildProps({
  variant: {
    type: String,
    values: alertVariants,
    default: "filled"
  },
  severity: {
    type: String,
    values: componentSeverities,
    required: true,
    default: "info"
  },
  icon: {
    type: Boolean,
    default: true
  },
  cs: {
    type: [Object, String]
  }
});
const alertIcons = {
  success: SuccessOutlined,
  warning: WarningOutlined,
  error: ErrorOutlined,
  info: InfoOutlined
};

export { alertIcons, alertProps, alertVariants };
//# sourceMappingURL=alert.mjs.map
