import { computed, openBlock, unref, normalizeClass, mergeProps, normalizeProps, resolveDynamicComponent, createBlock, renderSlot, createCommentVNode, withCtx, createVNode, guardReactiveProps, createElementBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import '../../../../theme/index.mjs';
import { InTypography } from '../../typography/index.mjs';
import { alertProps, alertIcons } from './alert.mjs';
import useCss from './index.jss.mjs';
import { useTheme } from '../../../../theme/src/hooks/use-theme.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: alertProps,
  setup(__props) {
    const props = __props;
    const theme = useTheme();
    const ns = useNamespace("alert");
    const cssClass = useCss(props, ns);
    const actionColor = computed(() => {
      const severityPalette = theme.value.palettes[props.severity];
      return theme.value.mode === "dark" ? severityPalette[50] : severityPalette[40];
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "div",
        {
          class: normalizeClass([unref(ns).b(), unref(ns).m(props.variant), unref(cssClass)])
        },
        [
          props.icon ? renderSlot(_ctx.$slots, "icon", normalizeProps(mergeProps({ key: 0 }, {
            severity: _ctx.$props.severity,
            class: [unref(ns).m("icon")]
          })), () => [
            (openBlock(), createBlock(resolveDynamicComponent(unref(alertIcons)[_ctx.$props.severity]), {
              class: normalizeClass([unref(ns).m("icon")])
            }, null, 8, ["class"]))
          ]) : createCommentVNode("v-if", true),
          createVNode(unref(InTypography), {
            component: "span",
            color: "var(--in-alert-on-color)",
            variant: "body.medium",
            class: normalizeClass([unref(ns).m("message")])
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["class"]),
          renderSlot(_ctx.$slots, "action", normalizeProps(guardReactiveProps({ color: actionColor.value, size: "small" })))
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
