import '../../../../utils/index.mjs';
import { isString } from '../../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.mjs';
import '../../../../node_modules/.pnpm/@vueuse_core@9.1.1_vue@3.3.8/node_modules/@vueuse/core/index.mjs';
import { isNumber } from '../../../../node_modules/.pnpm/@vueuse_shared@9.1.1_vue@3.3.8/node_modules/@vueuse/shared/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const avatarVariants = ["circle", "square", "rounded"];
const avatarProps = buildProps({
  size: {
    type: [String, Number],
    default: 40,
    validator: (val) => {
      return isNumber(val) || isString(val) && !isNaN(parseFloat(val));
    }
  },
  variant: {
    type: String,
    values: avatarVariants,
    default: "circle"
  },
  color: {
    type: [String, Function],
    default: "onSurface"
  },
  background: {
    type: [String, Function],
    default: "surfaceVariant"
  },
  cs: {
    type: [Object, String]
  }
});

export { avatarProps, avatarVariants };
//# sourceMappingURL=avatar.mjs.map
