import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [backgroundColor] = useColor(props, "background");
  const [textColor] = useColor(props, "color");
  const avatarStyle = css`
      height: ${props.size}px;
      width: ${props.size}px;
      min-width: ${props.size}px;
      background-color: ${backgroundColor.value};
      color: ${textColor.value};
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(avatarStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
