import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const badgeVariants = ["dot", "content"];
const badgeProps = buildProps({
  content: {
    type: [String, Number, Object]
  },
  variant: {
    type: String,
    values: badgeVariants,
    default: "content"
  },
  color: {
    type: [String, Function],
    default: "error"
  },
  max: {
    type: [String, Number]
  },
  overlap: {
    type: Boolean,
    default: false
  },
  xAlign: {
    type: String,
    values: ["left", "right"],
    default: "right"
  },
  yAlign: {
    type: String,
    values: ["top", "bottom"],
    default: "top"
  }
});

export { badgeProps, badgeVariants };
//# sourceMappingURL=badge.mjs.map
