import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { useRgbColor } from '../../../../theme/src/hooks/use-rgb-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [$color] = useColor(props, "color");
  const [$colorRgb] = useRgbColor(props, "color");
  const breadcrumbStyle = css`
      --in-breadcrumb-color: ${$color.value};
      --in-breadcrumb-color-rgb: ${$colorRgb.value};
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(breadcrumbStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
