import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import { componentSizes } from '../../../../constants/src/size.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const buttonVariants = ["text", "filled", "outlined"];
const buttonShapes = ["rounded", "fullRounded", "square"];
const buttonHeight = {
  small: 32,
  medium: 40,
  large: 48
};
const buttonProps = buildProps({
  variant: {
    type: String,
    values: buttonVariants,
    default: "filled"
  },
  shape: {
    type: String,
    values: buttonShapes,
    default: "rounded"
  },
  size: {
    type: String,
    values: componentSizes,
    default: "medium"
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  disableRipple: {
    type: Boolean,
    default: false
  },
  disableElevation: {
    type: Boolean,
    default: false
  }
});

export { buttonHeight, buttonProps, buttonShapes, buttonVariants };
//# sourceMappingURL=button.mjs.map
