import '../../../../theme/index.mjs';
import { computed } from 'vue';
import { buttonHeight } from './button.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { useRgbColor } from '../../../../theme/src/hooks/use-rgb-color.mjs';
import { css } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props, ns) => computed(() => {
  const [$color, $onColor] = useColor(props, "color");
  const [$colorRgb] = useRgbColor(props, "color");
  return css`
      --in-button-color: ${$color.value};
      --in-button-color-rgb: ${$colorRgb.value};
      --in-button-on-color: ${$onColor.value};
      &.${ns.m("filled")} {
        box-shadow: ${props.disableElevation ? "var(--md-sys-elevation-level-0)" : "var(--md-sys-elevation-level-2)"};
        &:not([disabled]):hover {
          box-shadow: ${props.disableElevation ? "var(--md-sys-elevation-level-0)" : "var(--md-sys-elevation-level-4)"};
        }
      }
      &.${ns.m(props.size)} {
        height: ${buttonHeight[props.size]}px;
      }
    `;
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
