import { computed, openBlock, unref, normalizeClass, guardReactiveProps, normalizeProps, renderSlot, createBlock, createCommentVNode, withCtx, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import '../../../../constants/index.mjs';
import { InButtonBase } from '../../button-base/index.mjs';
import { InRipple } from '../../ripple/index.mjs';
import { buttonProps } from './button.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { iconSize } from '../../../../constants/src/size.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: buttonProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("button");
    const cssClass = useCss(props, ns);
    const classList = computed(() => {
      const { variant, shape, size } = props;
      return [ns.b(), ns.m(size), ns.m(shape), ns.m(variant)];
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InButtonBase), {
        class: normalizeClass([...classList.value, `title-${props.size}`, unref(cssClass)])
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ size: unref(iconSize)[props.size] }))),
          !props.disableRipple ? (openBlock(), createBlock(unref(InRipple), {
            key: 0,
            color: props.variant === "filled" ? void 0 : props.color
          }, null, 8, ["color"])) : createCommentVNode("v-if", true)
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
