import { useAttrs, computed, openBlock, unref, mergeProps, guardReactiveProps, normalizeProps, createBlock, renderSlot, createCommentVNode, createVNode, withCtx, defineComponent } from 'vue';
import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import { InIconButton } from '../../icon-button/index.mjs';
import { InInputBase } from '../../input-base/index.mjs';
import { checkboxProps } from './checkbox.mjs';
import CheckBox from '../../svg-icon/internal/CheckBoxFilled.vue.mjs';
import CheckBoxOutlineBlank from '../../svg-icon/internal/CheckBoxOutlineBlankFilled.vue.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { UPDATE_MODEL_EVENT } from '../../../../constants/src/events.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: checkboxProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace("checkbox");
    const attrs = useAttrs();
    const checked = computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(UPDATE_MODEL_EVENT, newVal);
      }
    });
    const showCheckedIcon = computed(() => {
      if (typeof checked.value === "boolean") {
        return checked.value;
      } else {
        return checked.value.includes(attrs.value);
      }
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(
        unref(InIconButton),
        mergeProps({ component: "span" }, {
          color: _ctx.$props.color,
          size: _ctx.$props.size,
          class: [unref(ns).b(), unref(ns).m(props.size)]
        }),
        {
          default: withCtx((icon) => [
            renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
              checked: checked.value,
              size: icon.size,
              class: ["in-icon", unref(ns).e("icon")]
            })), () => [
              showCheckedIcon.value ? (openBlock(), createBlock(CheckBox, { key: 0 })) : (openBlock(), createBlock(CheckBoxOutlineBlank, { key: 1 }))
            ]),
            createCommentVNode(" eslint-disable vue/html-self-closing "),
            createVNode(unref(InInputBase), mergeProps(_ctx.$attrs, {
              modelValue: checked.value,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => checked.value = $event),
              class: [unref(ns).e("input")],
              type: "checkbox",
              internal: ""
            }), null, 16, ["modelValue", "class"])
          ]),
          _: 3
          /* FORWARDED */
        },
        16
        /* FULL_PROPS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
