import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { isString } from '../../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { useRgbColor } from '../../../../theme/src/hooks/use-rgb-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [$color, $onColor] = useColor(props, "color");
  const [$rgbColor, $onRgbColor] = useRgbColor(props, "color");
  const isSurfaceColor = isString(props.color) && typeof props.color !== "function" ? props.color.toLowerCase().includes("surface") : false;
  const chipStyle = css`
      --in-chip-color: ${$color.value};
      &.in-chip--filled {
        --in-chip-on-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $onColor.value};
        & .in-icon-button {
          --in-icon-button-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $onColor.value};
          --in-icon-button-color-rgb: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant-rgb)" : $onRgbColor.value};
        }
      }
      &.in-chip--outlined {
        --in-chip-on-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $color.value};
        border-color: ${isSurfaceColor ? "var(--md-sys-color-outline)" : $color.value};
        & .in-icon-button {
          --in-icon-button-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $color.value};
          --in-icon-button-color-rgb: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant-rgb)" : $rgbColor.value};
        }
      }
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(chipStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
