import { openBlock, unref, resolveDynamicComponent, mergeProps, renderSlot, normalizeClass, createVNode, withCtx, createBlock, createCommentVNode, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InActionArea } from '../../action-area/index.mjs';
import { InIconButton } from '../../icon-button/index.mjs';
import CloseFilled from '../../svg-icon/internal/CloseFilled.vue.mjs';
import { chipProps } from './chip.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: chipProps,
  emits: ["delete"],
  setup(__props) {
    const props = __props;
    const ns = useNamespace("chip");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(resolveDynamicComponent(_ctx.$props.clickable ? unref(InActionArea) : _ctx.$props.component), mergeProps(_ctx.$props.clickable ? { component: _ctx.$props.component } : {}, {
        class: [[unref(ns).b(), unref(ns).m(_ctx.$props.variant), unref(cssClass)], "label-large"]
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default"),
          _ctx.$props.deletable ? (openBlock(), createBlock(unref(InIconButton), {
            key: 0,
            class: normalizeClass([unref(ns).em("button", "delete")]),
            size: "small",
            cs: "padding: 4px;",
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("delete"))
          }, {
            default: withCtx(() => [
              createVNode(CloseFilled)
            ]),
            _: 1
            /* STABLE */
          }, 8, ["class"])) : createCommentVNode("v-if", true)
        ]),
        _: 3
        /* FORWARDED */
      }, 16, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
