import { openBlock, unref, normalizeClass, renderSlot, withCtx, createVNode, createElementBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InTypography } from '../../typography/index.mjs';
import { dialogHeaderProps } from './dialog-header.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: dialogHeaderProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("dialog-header");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "div",
        {
          class: normalizeClass([unref(ns).b(), unref(cssClass)])
        },
        [
          renderSlot(_ctx.$slots, "leading"),
          createVNode(unref(InTypography), {
            variant: "h6",
            component: "h2",
            class: normalizeClass([unref(ns).m("title")])
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["class"]),
          renderSlot(_ctx.$slots, "action")
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
