import { openBlock, unref, normalizeClass, mergeProps, renderSlot, createElementVNode, withCtx, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InModal } from '../../modal/index.mjs';
import { dialogProps } from './dialog.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: dialogProps,
  emits: ["close"],
  setup(__props) {
    const props = __props;
    const ns = useNamespace("dialog");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InModal), {
        "keep-mounted": _ctx.$props.keepMounted,
        "model-value": _ctx.$props.open,
        backdrop: _ctx.$props.backdrop,
        onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("close"))
      }, {
        default: withCtx(() => [
          createElementVNode(
            "div",
            {
              class: normalizeClass([unref(ns).m("container")])
            },
            [
              createElementVNode(
                "div",
                mergeProps(_ctx.$attrs, {
                  class: [unref(ns).b(), unref(ns).m(_ctx.$props.variant), unref(cssClass)]
                }),
                [
                  renderSlot(_ctx.$slots, "default")
                ],
                16
                /* FULL_PROPS */
              )
            ],
            2
            /* CLASS */
          )
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["keep-mounted", "model-value", "backdrop"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
