import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const dividerVariants = ["full-width", "inset"];
const dividerOrientations = ["horizontal", "vertical"];
const dividerTextAlignments = ["left", "center", "right"];
const dividerProps = buildProps({
  variant: {
    type: String,
    values: dividerVariants,
    default: "full-width"
  },
  orientation: {
    type: String,
    values: dividerOrientations,
    default: "horizontal"
  },
  textAlign: {
    type: String,
    values: dividerTextAlignments,
    default: "center"
  },
  component: {
    type: [String, Object],
    default: "hr"
  },
  noMargin: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

export { dividerOrientations, dividerProps, dividerTextAlignments, dividerVariants };
//# sourceMappingURL=divider.mjs.map
