import { isVNode, createVNode, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InTypography } from '../../typography/index.mjs';
import { dividerProps } from './divider.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !isVNode(s);
}
var Divider = /* @__PURE__ */ defineComponent({
  props: dividerProps,
  setup(props, {
    slots
  }) {
    const ns = useNamespace("divider");
    const cssClass = useCss(props);
    const slotsVNodes = slots.default?.();
    const Comp = props.component;
    return () => (
      // eslint-disable-next-line no-mixed-operators
      props.orientation === "horizontal" && slotsVNodes ? createVNode("div", {
        "class": [ns.b(), ns.m(props.variant), ns.m(props.orientation), ns.em("div", "with-slots"), ns.em("text", props.textAlign), props.noMargin ? ns.m("no-margin") : "", cssClass.value]
      }, [createVNode(InTypography, {
        "component": "span",
        "cs": {
          opacity: 0.8
        },
        "class": [ns.m("text")]
      }, _isSlot(slotsVNodes) ? slotsVNodes : {
        default: () => [slotsVNodes]
      })]) : createVNode(Comp, {
        "class": [ns.b(), ns.m(props.variant), ns.m(props.orientation), props.noMargin ? ns.m("no-margin") : "", cssClass.value]
      }, null)
    );
  }
});

export { Divider as default };
//# sourceMappingURL=index.mjs.map
