import '../../../../utils/index.mjs';
import '../../../../constants/index.mjs';
import { componentDirections } from '../../../../constants/src/directions.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const drawerVariants = ["persistent", "temporary"];
const drawerProps = buildProps({
  open: {
    type: Boolean,
    required: true,
    default: false
  },
  backdrop: {
    type: Boolean,
    default: true
  },
  keepMounted: {
    type: Boolean,
    default: false
  },
  variant: {
    type: String,
    values: drawerVariants,
    default: "temporary"
  },
  background: {
    type: [String, Function],
    default: "surface"
  },
  placement: {
    type: String,
    values: componentDirections,
    default: "right"
  },
  cs: {
    type: [Object, String]
  }
});

export { drawerProps, drawerVariants };
//# sourceMappingURL=drawer.mjs.map
