import { ref, nextTick, watch, openBlock, Fragment, Teleport, unref, resolveDynamicComponent, Transition, withModifiers, withKeys, mergeProps, renderSlot, createElementBlock, vShow, withDirectives, createCommentVNode, withCtx, createVNode, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InModal } from '../../modal/index.mjs';
import { InFragment } from '../../fragment/index.mjs';
import { drawerProps } from './drawer.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
const _hoisted_1 = ["onWheel", "onKeydown"];
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: drawerProps,
  emits: ["close"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace("drawer");
    const cssClass = useCss(props);
    const handleWheel = (e) => {
      e.preventDefault();
    };
    const drawerRef = ref(null);
    watch(
      () => props.open,
      (newVal) => {
        nextTick(() => {
          if (newVal) {
            drawerRef.value?.focus();
          }
        });
      }
    );
    const handleEscKey = (e) => {
      if (e.key === "Escape") {
        emit("close");
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        Fragment,
        null,
        [
          (openBlock(), createBlock(resolveDynamicComponent(_ctx.$props.variant === "temporary" ? Teleport : unref(InFragment)), { to: "body" }, {
            default: withCtx(() => [
              createVNode(Transition, {
                name: unref(ns).bm("animation", `slide-${_ctx.$props.placement}`)
              }, {
                default: withCtx(() => [
                  _ctx.$props.keepMounted || _ctx.$props.open ? withDirectives((openBlock(), createElementBlock("div", mergeProps({ key: 0 }, _ctx.$attrs, {
                    ref_key: "drawerRef",
                    ref: drawerRef,
                    class: [
                      unref(ns).b(),
                      unref(ns).m(_ctx.$props.variant),
                      unref(ns).m(_ctx.$props.placement),
                      unref(cssClass)
                    ],
                    tabindex: "0",
                    onWheel: withModifiers(handleWheel, ["prevent", "stop"]),
                    onKeydown: withKeys(handleEscKey, ["esc"])
                  }), [
                    renderSlot(_ctx.$slots, "default")
                  ], 16, _hoisted_1)), [
                    [vShow, _ctx.$props.open]
                  ]) : createCommentVNode("v-if", true)
                ]),
                _: 3
                /* FORWARDED */
              }, 8, ["name"])
            ]),
            _: 3
            /* FORWARDED */
          })),
          _ctx.$props.variant === "temporary" ? (openBlock(), createBlock(unref(InModal), {
            key: 0,
            "keep-mounted": _ctx.$props.keepMounted,
            "model-value": _ctx.$props.open,
            backdrop: _ctx.$props.backdrop,
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("close"))
          }, null, 8, ["keep-mounted", "model-value", "backdrop"])) : createCommentVNode("v-if", true)
        ],
        64
        /* STABLE_FRAGMENT */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
