import { defineComponent, openBlock, unref, normalizeClass, resolveDynamicComponent, guardReactiveProps, normalizeProps, createBlock, toDisplayString, createTextVNode, withCtx, createVNode, createElementBlock } from 'vue';
import '../../../../utils/index.mjs';
import { InTypography } from '../../typography/index.mjs';
import { formLabelProps } from './form-label.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
const __default__ = defineComponent({
  inheritAttrs: false
});
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  __name: "index",
  props: formLabelProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("form-label");
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "label",
        {
          class: normalizeClass([unref(ns).b(), unref(ns).m(props.labelPlacement)])
        },
        [
          (openBlock(), createBlock(
            resolveDynamicComponent(props.control),
            normalizeProps(guardReactiveProps(_ctx.$attrs)),
            null,
            16
            /* FULL_PROPS */
          )),
          createVNode(unref(InTypography), {
            variant: "body.large",
            component: "span",
            disabled: _ctx.$attrs.disabled
          }, {
            default: withCtx(() => [
              createTextVNode(
                toDisplayString(props.label),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          }, 8, ["disabled"])
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
