import { openBlock, Fragment, unref, toDisplayString, createTextVNode, withCtx, createVNode, createBlock, createCommentVNode, createElementBlock, defineComponent } from 'vue';
import { InTypography } from '../../typography/index.mjs';
import { headlineTextProps } from './headline-text.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: headlineTextProps,
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        Fragment,
        null,
        [
          createVNode(unref(InTypography), {
            component: "h1",
            variant: "body.large",
            color: "inherit"
          }, {
            default: withCtx(() => [
              createTextVNode(
                toDisplayString(_ctx.$props.headline),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          }),
          _ctx.$props.supportingText ? (openBlock(), createBlock(unref(InTypography), {
            key: 0,
            component: "p",
            variant: "body.medium",
            color: "onSurfaceVariant",
            cs: "opacity: 0.8;"
          }, {
            default: withCtx(() => [
              createTextVNode(
                toDisplayString(_ctx.$props.supportingText),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          })) : createCommentVNode("v-if", true)
        ],
        64
        /* STABLE_FRAGMENT */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
