import { computed } from 'vue';
import '../../../../theme/index.mjs';
import '../../../../constants/index.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { useRgbColor } from '../../../../theme/src/hooks/use-rgb-color.mjs';
import { iconSize } from '../../../../constants/src/size.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props, ns) => computed(() => {
  const [$color] = useColor(props, "color");
  const [$colorRgb] = useRgbColor(props, "color");
  const iconButtonStyle = css`
      --in-icon-button-color: ${$color.value};
      --in-icon-button-color-rgb: ${$colorRgb.value};
      &.${ns.m(props.size)} .in-icon {
        font-size: ${iconSize[props.size]}px;
      }
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(iconButtonStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
