import { openBlock, unref, normalizeClass, guardReactiveProps, normalizeProps, renderSlot, createVNode, withCtx, createBlock, defineComponent } from 'vue';
import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import { InButtonBase } from '../../button-base/index.mjs';
import { InRipple } from '../../ripple/index.mjs';
import { iconButtonProps } from './icon-button.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { iconSize } from '../../../../constants/src/size.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: iconButtonProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("icon-button");
    const cssClass = useCss(props, ns);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InButtonBase), {
        class: normalizeClass([unref(ns).b(), unref(ns).m(_ctx.$props.size), unref(cssClass)])
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
            size: unref(iconSize)[_ctx.$props.size],
            color: _ctx.$props.color
          }))),
          createVNode(unref(InRipple), {
            color: _ctx.$props.color,
            center: ""
          }, null, 8, ["color"])
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
