import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { useTheme } from '../../../../theme/src/hooks/use-theme.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const theme = useTheme();
  const inputBaseStyle = css([
    {
      background: "none",
      color: "inherit"
    },
    theme.value.typography.body.large
  ]);
  const internalStyle = props.internal ? css({
    cursor: "inherit",
    position: "absolute",
    opacity: 0,
    width: "100%",
    height: "100%",
    top: "0px",
    left: "0px",
    margin: "0px",
    padding: "0px",
    zIndex: 1
  }) : "";
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(inputBaseStyle, { [internalStyle]: props.internal }, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
