import { computed, openBlock, unref, normalizeClass, createElementBlock, vModelDynamic, withDirectives, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { inputBaseProps } from './input-base.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
const _hoisted_1 = ["type"];
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: inputBaseProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace("input-base");
    const cssClass = useCss(props);
    const value = computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit("update:modelValue", newVal);
      }
    });
    return (_ctx, _cache) => {
      return withDirectives((openBlock(), createElementBlock("input", {
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => value.value = $event),
        type: _ctx.$props.type,
        class: normalizeClass([unref(ns).b(), unref(cssClass)])
      }, null, 10, _hoisted_1)), [
        [vModelDynamic, value.value]
      ]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
