import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const inputBaseProps = buildProps({
  modelValue: {
    type: [String, Number, Boolean, Array, Object],
    required: true
  },
  /**
   * TIPS
   * Required to let Vue handle the modelValue when type is 'checkbox' or 'radio'
   */
  type: {
    type: String,
    default: ""
  },
  cs: {
    type: [Object, String]
  },
  /**
   * TIPS
   * For internal development only
   * DO NOT PUT THIS PROP IN DOCUMENTATION
   */
  internal: {
    type: Boolean,
    default: false
  }
});

export { inputBaseProps };
//# sourceMappingURL=input-base.mjs.map
