import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { useRgbColor } from '../../../../theme/src/hooks/use-rgb-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [$colorRgb] = useRgbColor(props, "color");
  const linkStyle = css`
      --in-link-color-rgb: ${$colorRgb.value};
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(linkStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
