import { openBlock, unref, normalizeClass, mergeProps, renderSlot, withCtx, createVNode, createElementBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InTypography } from '../../typography/index.mjs';
import { listItemHeaderProps } from './list-item-header.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: listItemHeaderProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("list-item-header");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "li",
        {
          class: normalizeClass([unref(ns).b(), unref(cssClass)])
        },
        [
          createVNode(
            unref(InTypography),
            mergeProps(_ctx.$attrs, {
              variant: "label.medium",
              cs: "opacity: 0.8;"
            }),
            {
              default: withCtx(() => [
                renderSlot(_ctx.$slots, "default")
              ]),
              _: 3
              /* FORWARDED */
            },
            16
            /* FULL_PROPS */
          )
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
