import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [$highlightColor] = useColor(props, "highlightColor");
  const listItemStyle = css`
      --in-list-item-highlight-color: ${$highlightColor.value};
      padding: 12px 16px 12px ${16 + +props.indent * 40}px;
      align-items: ${props.alignItems};
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(listItemStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
