import { openBlock, unref, resolveDynamicComponent, mergeProps, guardReactiveProps, normalizeProps, renderSlot, normalizeClass, withCtx, createVNode, createBlock, defineComponent } from 'vue';
import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import { InTypography } from '../../typography/index.mjs';
import { InActionArea } from '../../action-area/index.mjs';
import { listItemProps } from './list-item.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { iconSize } from '../../../../constants/src/size.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: listItemProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("list-item");
    const cssClass = useCss(props);
    const leadingBind = {
      icon: {
        class: [ns.m("leading"), ns.m("icon")],
        size: iconSize.medium,
        color: "inherit"
      },
      avatar: {
        class: [ns.m("leading"), ns.m("avatar")]
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(resolveDynamicComponent(_ctx.$props.selectable ? unref(InActionArea) : "li"), mergeProps(_ctx.$props.selectable && { component: "li" }, {
        class: [unref(ns).b(), _ctx.$props.highlight ? unref(ns).m("highlight") : "", unref(cssClass)]
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "leading", normalizeProps(guardReactiveProps(leadingBind))),
          createVNode(unref(InTypography), {
            class: normalizeClass([unref(ns).m("text")]),
            variant: "label.large",
            color: "inherit"
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["class"]),
          renderSlot(_ctx.$slots, "trailing", normalizeProps(guardReactiveProps({ class: [unref(ns).m("trailing")] })))
        ]),
        _: 3
        /* FORWARDED */
      }, 16, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
