import { ref, computed } from 'vue';
import '../../../../theme/index.mjs';
import { isString } from '../../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  let [$background, $onBackground] = useColor(props, "background");
  if (isString(props.background) && props.background.startsWith("surface")) {
    $onBackground = ref(
      props.background === "surface" ? $onBackground : "var(--md-sys-color-on-surface-variant)"
    );
  }
  const listStyle = css([
    {
      color: $onBackground.value ?? "var(--md-sys-color-on-surface)",
      "& .in-list-item": {
        color: $onBackground.value ?? "var(--md-sys-color-on-surface)"
      }
    },
    +props.level === 0 && {
      backgroundColor: $background.value ?? "var(--md-sys-color-surface)"
    }
  ]);
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(listStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
