import { createVNode, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { listProps } from './list.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var List = /* @__PURE__ */ defineComponent({
  props: listProps,
  setup(props, {
    slots
  }) {
    const ns = useNamespace("list");
    const cssClass = useCss(props);
    const Comp = props.component;
    return () => createVNode(Comp, {
      "class": [ns.b(), ns.m(`level-${props.level}`), props.sublist ? ns.m("sublist") : "", cssClass.value]
    }, {
      default: () => [createVNode("ul", {
        "class": [ns.e("ul")]
      }, [slots.default?.().map((VNode) => VNode.type.name === "InListItem" ? createVNode(VNode, {
        indent: props.level,
        selectable: props.selectable,
        "highlight-color": props.highlightColor,
        "align-items": props.alignItems,
        ...VNode.props
      }, null) : createVNode(VNode, null, null))])]
    });
  }
});

export { List as default };
//# sourceMappingURL=index.mjs.map
