import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const listAlignItems = [
  "flex-start",
  "center",
  "flex-end",
  "stretch",
  "baseline"
];
const listProps = buildProps({
  component: {
    type: [String, Object],
    default: "div"
  },
  background: {
    type: [String, Function],
    default: "surface"
  },
  level: {
    type: [Number, String],
    default: 0
  },
  sublist: {
    type: Boolean,
    default: false
  },
  selectable: {
    type: Boolean,
    default: true
  },
  alignItems: {
    type: String,
    values: listAlignItems,
    default: "center"
  },
  highlightColor: {
    type: [String, Function],
    default: "secondaryContainer"
  },
  disablePadding: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

export { listAlignItems, listProps };
//# sourceMappingURL=list.mjs.map
