import '../../../../utils/index.mjs';
import '../../alert/index.mjs';
import { alertProps } from '../../alert/src/alert.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const messageXPlacements = ["left", "center", "right"];
const messageYPlacements = ["top", "bottom"];
const { cs: _cs, ...restProps } = alertProps;
const messageProps = buildProps({
  ...restProps,
  title: {
    type: String
  },
  content: {
    type: String,
    required: true
  },
  customIcon: {
    type: Object
  },
  action: {
    type: Object
  },
  actionEvent: {
    type: Function,
    default: (_e, _remove) => {
    }
  },
  duration: {
    type: Number,
    default: 2e3
  },
  transition: {
    type: String,
    default: "all 0.5s ease"
  },
  placement: {
    type: Object,
    default: () => ({
      x: "center",
      y: "top"
    }),
    validator: (val) => {
      const { x, y } = val;
      const xValid = x ? messageXPlacements.includes(x) : true;
      const yValid = y ? messageYPlacements.includes(y) : true;
      return xValid && yValid;
    }
  }
});

export { messageProps };
//# sourceMappingURL=message.mjs.map
