import { ref, reactive, openBlock, unref, isRef, TransitionGroup, normalizeClass, Fragment, resolveDynamicComponent, createBlock, renderList, createElementBlock, withCtx, defineComponent } from 'vue';
import '../../../../theme/index.mjs';
import '../../../../utils/index.mjs';
import '../../../../node_modules/.pnpm/@vueuse_core@9.1.1_vue@3.3.8/node_modules/@vueuse/core/index.mjs';
import { createTheme } from '../../../../theme/src/core/create-theme.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { isNumber } from '../../../../node_modules/.pnpm/@vueuse_shared@9.1.1_vue@3.3.8/node_modules/@vueuse/shared/index.mjs';
import ThemeProvider from '../../../../theme/src/components/theme-provider.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "notistack",
  setup(__props, { expose: __expose }) {
    const themeProdiver = ref(null);
    const children = reactive([]);
    const html = document.documentElement;
    const theme = createTheme(void 0, {
      target: "host",
      config: { mode: html.attributes["data-theme"] ? "dark" : "light" }
    });
    const ns = useNamespace("notistack");
    const add = (child) => {
      children.push(child);
    };
    const remove = (condition) => {
      if (isNumber(condition)) {
        children.splice(condition, 1);
      } else {
        const index = children.findIndex((child) => child.id === condition);
        if (index !== -1) {
          children.splice(index, 1);
        }
      }
    };
    const removeAll = () => {
      children.splice(0, children.length);
    };
    const watcher = () => {
      if (typeof window === "undefined") {
        return;
      }
      const MutationObserver = window.MutationObserver;
      const observer = new MutationObserver((mutations) => {
        mutations.forEach((mutation) => {
          if (mutation.type === "attributes") {
            theme.value.mode = theme.value.mode === "light" ? "dark" : "light";
          }
        });
      });
      observer.observe(html, {
        attributes: true,
        attributeFilter: ["data-theme"]
      });
    };
    __expose({ add, remove, removeAll });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ThemeProvider), {
        ref_key: "themeProdiver",
        ref: themeProdiver,
        theme: unref(theme),
        "onUpdate:theme": _cache[0] || (_cache[0] = ($event) => isRef(theme) ? theme.value = $event : null),
        watcher,
        component: TransitionGroup,
        tag: "div",
        name: "message",
        class: normalizeClass([unref(ns).b()])
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(
            Fragment,
            null,
            renderList(children, (child) => {
              return openBlock(), createBlock(resolveDynamicComponent(child), {
                key: child.id
              });
            }),
            128
            /* KEYED_FRAGMENT */
          ))
        ]),
        _: 1
        /* STABLE */
      }, 8, ["theme", "class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=notistack.vue2.mjs.map
