import { computed, openBlock, Teleport, Transition, unref, withModifiers, mergeProps, normalizeClass, renderSlot, createElementBlock, vShow, withDirectives, createCommentVNode, withCtx, createVNode, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import '../../../../constants/index.mjs';
import { modalProps } from './modal.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { UPDATE_MODEL_EVENT } from '../../../../constants/src/events.mjs';

"use strict";
const _hoisted_1 = ["onWheel"];
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: modalProps,
  emits: ["update:modelValue", "close"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace("modal");
    const handleWheel = (e) => {
      e.preventDefault();
    };
    const open = computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(UPDATE_MODEL_EVENT, newVal);
      }
    });
    const handleClick = () => {
      open.value = false;
      emit("close");
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(Teleport, { to: "body" }, [
        createVNode(Transition, { name: "fade" }, {
          default: withCtx(() => [
            _ctx.$props.keepMounted || open.value ? withDirectives((openBlock(), createElementBlock("div", mergeProps({
              key: 0,
              class: [unref(ns).b(), open.value ? unref(ns).m("open") : ""]
            }, _ctx.$attrs, {
              onWheel: withModifiers(handleWheel, ["prevent", "stop"]),
              onClick: handleClick
            }), [
              _ctx.$props.backdrop ? (openBlock(), createElementBlock(
                "div",
                {
                  key: 0,
                  class: normalizeClass([unref(ns).e("backdrop")]),
                  onClick: handleClick
                },
                [
                  renderSlot(_ctx.$slots, "default")
                ],
                2
                /* CLASS */
              )) : renderSlot(_ctx.$slots, "default", { key: 1 })
            ], 16, _hoisted_1)), [
              [vShow, open.value]
            ]) : createCommentVNode("v-if", true)
          ]),
          _: 3
          /* FORWARDED */
        })
      ]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
