import { openBlock, unref, normalizeClass, createBlock, createElementBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { progressProps } from './progress.mjs';
import CircularProgressBar from './svg/circular.vue.mjs';
import LinearProgressBar from './svg/linear.vue.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: progressProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("progress");
    const style = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "span",
        {
          class: normalizeClass([unref(ns).b(), unref(style).cssClass])
        },
        [
          _ctx.$props.variant === "circular" ? (openBlock(), createBlock(CircularProgressBar, {
            key: 0,
            color: _ctx.$props.color,
            radius: unref(style).radius,
            status: _ctx.$props.status,
            value: _ctx.$props.value
          }, null, 8, ["color", "radius", "status", "value"])) : (openBlock(), createBlock(LinearProgressBar, {
            key: 1,
            color: _ctx.$props.color,
            status: _ctx.$props.status,
            value: _ctx.$props.value
          }, null, 8, ["color", "status", "value"]))
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
