import { computed, openBlock, unref, normalizeClass, Fragment, createElementBlock, renderList, withCtx, createBlock, defineComponent } from 'vue';
import '../../../../../utils/index.mjs';
import { InSvgIcon } from '../../../svg-icon/index.mjs';
import { progressCircleSvgProps } from './props.mjs';
import { useNamespace } from '../../../../../utils/src/dom/use-namespace.mjs';

"use strict";
const _hoisted_1 = ["r", "stroke-dashoffset"];
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{ inheritAttrs: false },
  __name: "circular",
  props: progressCircleSvgProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("progress");
    const size = computed(() => ((props.radius ?? 22) + 2) * 2);
    const circles = computed(
      () => props.status === "indeterminate" ? [ns.em("circular", "left-track"), ns.em("circular", "right-track")] : [ns.em("circular", "active-track")]
    );
    const strokeDashoffset = computed(() => {
      if (props.status === "indeterminate" || props.value === void 0) {
        return void 0;
      }
      return 2 * Math.PI * (props.radius ?? 22) * (1 - +props.value / 100);
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InSvgIcon), { size: size.value }, {
        default: withCtx(() => [
          (openBlock(), createElementBlock(
            "svg",
            {
              viewBox: "0 0 48 48",
              class: normalizeClass([unref(ns).e("circular"), unref(ns).m(_ctx.$props.status)])
            },
            [
              (openBlock(true), createElementBlock(
                Fragment,
                null,
                renderList(circles.value, (circle) => {
                  return openBlock(), createElementBlock("circle", {
                    key: circle,
                    class: normalizeClass(circle),
                    r: _ctx.$props.radius,
                    "stroke-dashoffset": strokeDashoffset.value,
                    cx: "50%",
                    cy: "50%",
                    fill: "none",
                    "stroke-width": "4"
                  }, null, 10, _hoisted_1);
                }),
                128
                /* KEYED_FRAGMENT */
              ))
            ],
            2
            /* CLASS */
          ))
        ]),
        _: 1
        /* STABLE */
      }, 8, ["size"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=circular.vue2.mjs.map
