import { computed, openBlock, unref, mergeProps, createBlock, createVNode, withCtx, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import '../../../../constants/index.mjs';
import { InIconButton } from '../../icon-button/index.mjs';
import RadioButtonChecked from '../../svg-icon/internal/RadioButtonCheckedFilled.vue.mjs';
import RadioButtonUnchecked from '../../svg-icon/internal/RadioButtonUncheckedFilled.vue.mjs';
import { InInputBase } from '../../input-base/index.mjs';
import { radioProps } from './radio.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { UPDATE_MODEL_EVENT } from '../../../../constants/src/events.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: radioProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace("radio");
    const checked = computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(UPDATE_MODEL_EVENT, newVal);
      }
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InIconButton), mergeProps({ component: "span" }, { color: _ctx.$props.color, size: _ctx.$props.size, class: [unref(ns).b()] }, {
        class: [unref(ns).b(), unref(ns).m(props.size)]
      }), {
        default: withCtx(() => [
          checked.value === _ctx.$attrs.value ? (openBlock(), createBlock(RadioButtonChecked, { key: 0 })) : (openBlock(), createBlock(RadioButtonUnchecked, { key: 1 })),
          createVNode(unref(InInputBase), mergeProps(_ctx.$attrs, {
            modelValue: checked.value,
            "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => checked.value = $event),
            class: [unref(ns).e("input")],
            type: "radio",
            internal: ""
          }), null, 16, ["modelValue", "class"])
        ]),
        _: 1
        /* STABLE */
      }, 16, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
