import { computed, mergeProps, createVNode, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { svgIconProps } from './svg-icon.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var InSvgIcon = /* @__PURE__ */ defineComponent({
  props: svgIconProps,
  setup(props, {
    slots
  }) {
    const ns = useNamespace("svg-icon");
    const cssClass = useCss(props);
    const slotsVNodes = computed(() => slots?.default?.() ?? []);
    if (slotsVNodes.value.length > 1) {
      throw new Error("[Interface UI]: The SvgIcon can only contain one child.");
    }
    const Comp = props.component;
    return () => createVNode(Comp, mergeProps({
      "class": [ns.b(), cssClass.value]
    }, slotsVNodes.value[0]?.props), {
      default: () => [slotsVNodes.value[0]?.children]
    });
  }
});

export { InSvgIcon as default };
//# sourceMappingURL=index.mjs.map
