import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { switchHeight } from './switch.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { useRgbColor } from '../../../../theme/src/hooks/use-rgb-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [$color, $onColor] = useColor(props, "color");
  const [$colorRgb] = useRgbColor(props, "color");
  const switchStyle = css`
      --in-switch-color: ${$color.value};
      --in-switch-color-rgb: ${$colorRgb.value};
      --in-switch-on-color: ${$onColor.value};
      --in-switch-height: ${switchHeight[props.size]}px;
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(switchStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
