import { computed, openBlock, unref, normalizeClass, guardReactiveProps, normalizeProps, createBlock, createCommentVNode, renderSlot, createElementVNode, withCtx, createVNode, mergeProps, createElementBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import '../../../../constants/index.mjs';
import CheckFilled from '../../svg-icon/internal/CheckFilled.vue.mjs';
import { InIconButton } from '../../icon-button/index.mjs';
import { InInputBase } from '../../input-base/index.mjs';
import { switchProps } from './switch.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { UPDATE_MODEL_EVENT } from '../../../../constants/src/events.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: switchProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace("switch");
    const cssClass = useCss(props);
    const checked = computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(UPDATE_MODEL_EVENT, newVal);
      }
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "span",
        {
          class: normalizeClass([unref(ns).b(), checked.value ? unref(ns).m("checked") : "", unref(cssClass)])
        },
        [
          createVNode(unref(InIconButton), {
            class: normalizeClass([unref(ns).e("thumb")]),
            color: props.color,
            disabled: _ctx.$attrs.disabled,
            onClick: _cache[0] || (_cache[0] = ($event) => checked.value = !checked.value)
          }, {
            default: withCtx(() => [
              createElementVNode(
                "span",
                {
                  class: normalizeClass([unref(ns).em("thumb", "icon-wrapper")])
                },
                [
                  renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ size: 16 })), () => [
                    !props.disabledIcon ? (openBlock(), createBlock(CheckFilled, { key: 0 })) : createCommentVNode("v-if", true)
                  ])
                ],
                2
                /* CLASS */
              )
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["class", "color", "disabled"]),
          createVNode(unref(InInputBase), mergeProps(_ctx.$attrs, {
            modelValue: checked.value,
            "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => checked.value = $event),
            class: [unref(ns).e("input")],
            type: "checkbox",
            internal: ""
          }), null, 16, ["modelValue", "class"])
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
