import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import { componentSizes } from '../../../../constants/src/size.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const switchHeight = {
  small: 28,
  medium: 32,
  large: 36
};
const switchProps = buildProps({
  modelValue: {
    type: Boolean,
    default: ""
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  size: {
    type: String,
    value: componentSizes,
    default: "medium"
  },
  cs: {
    type: [Object, String]
  },
  disabledIcon: {
    type: Boolean,
    default: false
  }
});

export { switchHeight, switchProps };
//# sourceMappingURL=switch.mjs.map
