import { ref, computed } from 'vue';
import '../../../../theme/index.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [$color] = props.error ? [ref("var(--md-sys-color-error)")] : useColor(props, "color");
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(css({ "--in-text-field-color": $color.value }), styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
