import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import { componentSizes } from '../../../../constants/src/size.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const textFiedlVariants = ["outlined", "filled", "standard"];
const textFieldProps = buildProps({
  modelValue: {
    type: String,
    required: true,
    default: ""
  },
  variant: {
    type: String,
    values: textFiedlVariants,
    default: "outlined"
  },
  label: {
    type: String
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  size: {
    type: String,
    values: componentSizes,
    default: "large"
  },
  cs: {
    type: [String, Array, Object]
  },
  error: {
    type: Boolean,
    default: false
  },
  supportingText: {
    type: String
  }
});

export { textFiedlVariants, textFieldProps };
//# sourceMappingURL=text-field.mjs.map
