import '../../../../theme/index.mjs';
import { computed } from 'vue';
import { useTheme } from '../../../../theme/src/hooks/use-theme.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => {
  const { variant } = props;
  const [_, $variant, size] = variant.match(/([\w\d]+)\.?(\w+)?/);
  const theme = useTheme();
  const style = size ? (
    // @ts-expect-error: complicate types
    theme.value.typography[$variant][size]
  ) : (
    // @ts-expect-error: complicate types
    theme.value.typography[$variant]
  );
  return computed(() => {
    const [$color] = useColor(props, "color");
    const styleFromCs = props.cs ? css(props.cs) : "";
    return cx(
      css({
        color: $color.value,
        margin: 0,
        border: "none",
        ...style
      }),
      styleFromCs
    );
  });
};

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
