import { computed, openBlock, resolveDynamicComponent, unref, normalizeClass, renderSlot, withCtx, createBlock, defineComponent } from 'vue';
import '../../../../theme/index.mjs';
import '../../../../utils/index.mjs';
import { typographyProps } from './typography.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';
import { typographyMapping } from '../../../../theme/src/typography/types.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: typographyProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("typography");
    const parsed = computed(() => {
      const { variant, component } = props;
      const [_, $variant, size] = variant.match(/([\w\d]+)\.?(\w+)?/);
      const renderTag = component ?? typographyMapping[$variant] ?? "span";
      return [renderTag, $variant, size];
    });
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(resolveDynamicComponent(parsed.value[0]), {
        class: normalizeClass([
          unref(ns).b(),
          _ctx.$props.noWarp ? unref(ns).m("nowarp") : "",
          _ctx.$props.gutter ? unref(ns).m("gutter") : "",
          unref(cssClass)
        ])
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
