import '../../../../utils/index.mjs';
import '../../../../theme/index.mjs';
import '../../../../constants/index.mjs';
import { componentSizes } from '../../../../constants/src/size.mjs';
import { typographyWithSize, typographyWithoutSize } from '../../../../theme/src/typography/types.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const $typographyWithSize = typographyWithSize.map((item) => componentSizes.map((size) => `${item}.${size}`)).flat();
const typographyVariant = [...typographyWithoutSize, ...$typographyWithSize];
const typographyProps = buildProps({
  variant: {
    type: String,
    values: typographyVariant,
    default: "body.large"
  },
  component: {
    type: [String, Object]
  },
  noWarp: {
    type: Boolean,
    default: false
  },
  gutter: {
    type: Boolean,
    default: false
  },
  color: {
    type: [String, Function],
    default: "onSurface"
  },
  cs: {
    type: [Object, String]
  }
});

export { typographyProps };
//# sourceMappingURL=typography.mjs.map
