import MapCache from './_MapCache.mjs';
import setCacheAdd from './_setCacheAdd.mjs';
import setCacheHas from './_setCacheHas.mjs';

/**
 *
 * Creates an array cache object to store unique values.
 *
 * @private
 * @constructor
 * @param {Array} [values] The values to cache.
 */
function SetCache(values) {
  var index = -1,
      length = values == null ? 0 : values.length;

  this.__data__ = new MapCache;
  while (++index < length) {
    this.add(values[index]);
  }
}

// Add methods to `SetCache`.
SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
SetCache.prototype.has = setCacheHas;

export { SetCache as default };
//# sourceMappingURL=_SetCache.mjs.map
