import baseRandom from './_baseRandom.mjs';

/**
 * A specialized version of `_.sample` for arrays.
 *
 * @private
 * @param {Array} array The array to sample.
 * @returns {*} Returns the random element.
 */
function arraySample(array) {
  var length = array.length;
  return length ? array[baseRandom(0, length - 1)] : undefined;
}

export { arraySample as default };
//# sourceMappingURL=_arraySample.mjs.map
