import baseClamp from './_baseClamp.mjs';
import copyArray from './_copyArray.mjs';
import shuffleSelf from './_shuffleSelf.mjs';

/**
 * A specialized version of `_.sampleSize` for arrays.
 *
 * @private
 * @param {Array} array The array to sample.
 * @param {number} n The number of elements to sample.
 * @returns {Array} Returns the random elements.
 */
function arraySampleSize(array, n) {
  return shuffleSelf(copyArray(array), baseClamp(n, 0, array.length));
}

export { arraySampleSize as default };
//# sourceMappingURL=_arraySampleSize.mjs.map
