import copyObject from './_copyObject.mjs';
import keys from './keys.mjs';

/**
 * The base implementation of `_.assign` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssign(object, source) {
  return object && copyObject(source, keys(source), object);
}

export { baseAssign as default };
//# sourceMappingURL=_baseAssign.mjs.map
