import copyObject from './_copyObject.mjs';
import keysIn from './keysIn.mjs';

/**
 * The base implementation of `_.assignIn` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssignIn(object, source) {
  return object && copyObject(source, keysIn(source), object);
}

export { baseAssignIn as default };
//# sourceMappingURL=_baseAssignIn.mjs.map
