import baseForOwn from './_baseForOwn.mjs';
import createBaseEach from './_createBaseEach.mjs';

/**
 * The base implementation of `_.forEach` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array|Object} Returns `collection`.
 */
var baseEach = createBaseEach(baseForOwn);

export { baseEach as default };
//# sourceMappingURL=_baseEach.mjs.map
