import baseForOwnRight from './_baseForOwnRight.mjs';
import createBaseEach from './_createBaseEach.mjs';

/**
 * The base implementation of `_.forEachRight` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array|Object} Returns `collection`.
 */
var baseEachRight = createBaseEach(baseForOwnRight, true);

export { baseEachRight as default };
//# sourceMappingURL=_baseEachRight.mjs.map
