import baseGetTag from './_baseGetTag.mjs';
import isObjectLike from './isObjectLike.mjs';

var arrayBufferTag = '[object ArrayBuffer]';

/**
 * The base implementation of `_.isArrayBuffer` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
 */
function baseIsArrayBuffer(value) {
  return isObjectLike(value) && baseGetTag(value) == arrayBufferTag;
}

export { baseIsArrayBuffer as default };
//# sourceMappingURL=_baseIsArrayBuffer.mjs.map
