import baseGetTag from './_baseGetTag.mjs';
import isObjectLike from './isObjectLike.mjs';

/** `Object#toString` result references. */
var regexpTag = '[object RegExp]';

/**
 * The base implementation of `_.isRegExp` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
 */
function baseIsRegExp(value) {
  return isObjectLike(value) && baseGetTag(value) == regexpTag;
}

export { baseIsRegExp as default };
//# sourceMappingURL=_baseIsRegExp.mjs.map
