import getTag from './_getTag.mjs';
import isObjectLike from './isObjectLike.mjs';

/** `Object#toString` result references. */
var setTag = '[object Set]';

/**
 * The base implementation of `_.isSet` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 */
function baseIsSet(value) {
  return isObjectLike(value) && getTag(value) == setTag;
}

export { baseIsSet as default };
//# sourceMappingURL=_baseIsSet.mjs.map
