import castPath from './_castPath.mjs';
import last from './last.mjs';
import parent from './_parent.mjs';
import toKey from './_toKey.mjs';

/**
 * The base implementation of `_.unset`.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {Array|string} path The property path to unset.
 * @returns {boolean} Returns `true` if the property is deleted, else `false`.
 */
function baseUnset(object, path) {
  path = castPath(path, object);
  object = parent(object, path);
  return object == null || delete object[toKey(last(path))];
}

export { baseUnset as default };
//# sourceMappingURL=_baseUnset.mjs.map
