import copyObject from './_copyObject.mjs';
import getSymbols from './_getSymbols.mjs';

/**
 * Copies own symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbols(source, object) {
  return copyObject(source, getSymbols(source), object);
}

export { copySymbols as default };
//# sourceMappingURL=_copySymbols.mjs.map
