import metaMap from './_metaMap.mjs';
import noop from './noop.mjs';

/**
 * Gets metadata for `func`.
 *
 * @private
 * @param {Function} func The function to query.
 * @returns {*} Returns the metadata for `func`.
 */
var getData = !metaMap ? noop : function(func) {
  return metaMap.get(func);
};

export { getData as default };
//# sourceMappingURL=_getData.mjs.map
