import baseCreate from './_baseCreate.mjs';
import getPrototype from './_getPrototype.mjs';
import isPrototype from './_isPrototype.mjs';

/**
 * Initializes an object clone.
 *
 * @private
 * @param {Object} object The object to clone.
 * @returns {Object} Returns the initialized clone.
 */
function initCloneObject(object) {
  return (typeof object.constructor == 'function' && !isPrototype(object))
    ? baseCreate(getPrototype(object))
    : {};
}

export { initCloneObject as default };
//# sourceMappingURL=_initCloneObject.mjs.map
