import Hash from './_Hash.mjs';
import ListCache from './_ListCache.mjs';
import Map from './_Map.mjs';

/**
 * Removes all key-value entries from the map.
 *
 * @private
 * @name clear
 * @memberOf MapCache
 */
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    'hash': new Hash,
    'map': new (Map || ListCache),
    'string': new Hash
  };
}

export { mapCacheClear as default };
//# sourceMappingURL=_mapCacheClear.mjs.map
