import castArray from './castArray.mjs';
import clone from './clone.mjs';
import cloneDeep from './cloneDeep.mjs';
import cloneDeepWith from './cloneDeepWith.mjs';
import cloneWith from './cloneWith.mjs';
import conformsTo from './conformsTo.mjs';
import eq from './eq.mjs';
import gt from './gt.mjs';
import gte from './gte.mjs';
import isArguments from './isArguments.mjs';
import isArray from './isArray.mjs';
import isArrayBuffer from './isArrayBuffer.mjs';
import isArrayLike from './isArrayLike.mjs';
import isArrayLikeObject from './isArrayLikeObject.mjs';
import isBoolean from './isBoolean.mjs';
import isBuffer from './isBuffer.mjs';
import isDate from './isDate.mjs';
import isElement from './isElement.mjs';
import isEmpty from './isEmpty.mjs';
import isEqual from './isEqual.mjs';
import isEqualWith from './isEqualWith.mjs';
import isError from './isError.mjs';
import isFinite from './isFinite.mjs';
import isFunction from './isFunction.mjs';
import isInteger from './isInteger.mjs';
import isLength from './isLength.mjs';
import isMap from './isMap.mjs';
import isMatch from './isMatch.mjs';
import isMatchWith from './isMatchWith.mjs';
import isNaN from './isNaN.mjs';
import isNative from './isNative.mjs';
import isNil from './isNil.mjs';
import isNull from './isNull.mjs';
import isNumber from './isNumber.mjs';
import isObject from './isObject.mjs';
import isObjectLike from './isObjectLike.mjs';
import isPlainObject from './isPlainObject.mjs';
import isRegExp from './isRegExp.mjs';
import isSafeInteger from './isSafeInteger.mjs';
import isSet from './isSet.mjs';
import isString from './isString.mjs';
import isSymbol from './isSymbol.mjs';
import isTypedArray from './isTypedArray.mjs';
import isUndefined from './isUndefined.mjs';
import isWeakMap from './isWeakMap.mjs';
import isWeakSet from './isWeakSet.mjs';
import lt from './lt.mjs';
import lte from './lte.mjs';
import toArray from './toArray.mjs';
import toFinite from './toFinite.mjs';
import toInteger from './toInteger.mjs';
import toLength from './toLength.mjs';
import toNumber from './toNumber.mjs';
import toPlainObject from './toPlainObject.mjs';
import toSafeInteger from './toSafeInteger.mjs';
import toString from './toString.mjs';

var lang = {
  castArray, clone, cloneDeep, cloneDeepWith, cloneWith,
  conformsTo, eq, gt, gte, isArguments,
  isArray, isArrayBuffer, isArrayLike, isArrayLikeObject, isBoolean,
  isBuffer, isDate, isElement, isEmpty, isEqual,
  isEqualWith, isError, isFinite, isFunction, isInteger,
  isLength, isMap, isMatch, isMatchWith, isNaN,
  isNative, isNil, isNull, isNumber, isObject,
  isObjectLike, isPlainObject, isRegExp, isSafeInteger, isSet,
  isString, isSymbol, isTypedArray, isUndefined, isWeakMap,
  isWeakSet, lt, lte, toArray, toFinite,
  toInteger, toLength, toNumber, toPlainObject, toSafeInteger,
  toString
};

export { lang as default };
//# sourceMappingURL=lang.default.mjs.map
