import arraySample from './_arraySample.mjs';
import baseSample from './_baseSample.mjs';
import isArray from './isArray.mjs';

/**
 * Gets a random element from `collection`.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to sample.
 * @returns {*} Returns the random element.
 * @example
 *
 * _.sample([1, 2, 3, 4]);
 * // => 2
 */
function sample(collection) {
  var func = isArray(collection) ? arraySample : baseSample;
  return func(collection);
}

export { sample as default };
//# sourceMappingURL=sample.mjs.map
