import { computed, mergeProps, createVNode, defineComponent } from 'vue';
import { css } from '../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';
import { useTheme } from '../hooks/use-theme.mjs';

"use strict";
const styled = (comp, props) => {
  return (style, ...args) => {
    const theme = useTheme();
    return /* @__PURE__ */ defineComponent({
      setup(_, {
        slots
      }) {
        const cssClass = computed(() => style instanceof Function ? css(style(theme?.value)) : css(style, ...args));
        return () => {
          const Comp = comp;
          return createVNode(Comp, mergeProps(props, {
            class: cssClass.value
          }), {
            default: () => [slots?.default?.()]
          });
        };
      }
    });
  };
};

export { styled };
//# sourceMappingURL=styled.mjs.map
