import '../color/index.mjs';
import '../state/index.mjs';
import '../elevation/index.mjs';
import '../typography/index.mjs';
import '../motion/index.mjs';
import '../z-index/index.mjs';
import colors from '../color/color.mjs';
import states from '../state/state.mjs';
import elevations from '../elevation/elevation.mjs';
import typography from '../typography/typography.mjs';
import { zIndex } from '../z-index/z-index.mjs';
import motion from '../motion/motion.mjs';

"use strict";
class Theme {
  constructor(schemes, palettes, mode = "light", lightSchemes, darkSchemes, target) {
    this.colors = colors;
    this.states = states;
    this.elevations = elevations;
    this.typography = typography;
    this.zIndex = zIndex;
    this.motion = motion;
    this.schemes = schemes;
    this.mode = mode;
    this.palettes = palettes;
    this._lightSchemes = lightSchemes;
    this._darkSchemes = darkSchemes;
    this.target = target;
  }
  toggleMode() {
    this.mode = this.mode === "light" ? "dark" : "light";
  }
}

export { Theme as default };
//# sourceMappingURL=theme.mjs.map
