import zIndexCSS from '@interface-ui/theme/styles/z-index.less?inline';

"use strict";
const match = zIndexCSS.matchAll(/--in-sys-z-index-(.+): ([0-9]+);/g);
const zIndex = [...match].reduce((pre, cur) => {
  const [_, key, value] = cur;
  const camelCaseKey = key.replace(/-(\w)/g, (_2, c) => c.toUpperCase());
  pre[camelCaseKey] = Number(value);
  return pre;
}, {});

export { zIndex as default, zIndex };
//# sourceMappingURL=z-index.mjs.map
