"use strict";
const toCapitalize = (str) => {
  return str.charAt(0).toUpperCase() + str.slice(1);
};
const toKebabCase = (str) => {
  return str.replace(/([a-z])([A-Z])/g, "$1-$2").toLowerCase();
};
const toLowerCamelCase = (str) => {
  return str.replace(/-([a-z])/g, (_, c) => c.toUpperCase());
};
const toUpperCamelCase = (str) => {
  return toCapitalize(toLowerCamelCase(str));
};

export { toCapitalize, toKebabCase, toLowerCamelCase, toUpperCamelCase };
//# sourceMappingURL=string.mjs.map
