'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index = require('./src/button-base/index.js');
var index$2 = require('./src/button/index.js');
var index$3 = require('./src/icon-button/index.js');
var index$4 = require('./src/button-group/index.js');
var index$5 = require('./src/alert/index.js');
var index$6 = require('./src/link/index.js');
require('./src/message/index.js');
var index$8 = require('./src/dialog/index.js');
var index$9 = require('./src/dialog-header/index.js');
var index$a = require('./src/dialog-content/index.js');
var index$b = require('./src/dialog-action/index.js');
var index$c = require('./src/input-base/index.js');
var index$d = require('./src/radio/index.js');
var index$h = require('./src/card/index.js');
var index$i = require('./src/card-content/index.js');
var index$j = require('./src/card-header/index.js');
var index$k = require('./src/card-action/index.js');
var index$l = require('./src/card-media/index.js');
var index$e = require('./src/switch/index.js');
var index$f = require('./src/badge/index.js');
var index$g = require('./src/progress/index.js');
var index$m = require('./src/avatar/index.js');
var index$1 = require('./src/avatar-group/index.js');
var index$n = require('./src/checkbox/index.js');
var index$o = require('./src/breadcrumb/index.js');
var index$s = require('./src/ripple/index.js');
var index$p = require('./src/drawer/index.js');
var index$q = require('./src/form-label/index.js');
var index$r = require('./src/typography/index.js');
var index$t = require('./src/text-field/index.js');
var index$u = require('./src/svg-icon/index.js');
var index$v = require('./src/fba/index.js');
var index$w = require('./src/action-area/index.js');
var index$x = require('./src/modal/index.js');
var index$y = require('./src/popover/index.js');
var index$z = require('./src/divider/index.js');
var index$A = require('./src/list/index.js');
var index$B = require('./src/list-item/index.js');
var index$C = require('./src/list-item-header/index.js');
var index$D = require('./src/collapse/index.js');
var index$E = require('./src/menu/index.js');
var index$F = require('./src/headline-text/index.js');
var index$G = require('./src/chip/index.js');
var index$7 = require('./src/message/src/index.js');
var buttonBase = require('./src/button-base/src/button-base.js');
var avatarGroup = require('./src/avatar-group/src/avatar-group.js');
var button = require('./src/button/src/button.js');
var iconButton = require('./src/icon-button/src/icon-button.js');
var buttonGroup = require('./src/button-group/src/button-group.js');
var alert = require('./src/alert/src/alert.js');
var link = require('./src/link/src/link.js');
var message = require('./src/message/src/message.js');
var dialog = require('./src/dialog/src/dialog.js');
var dialogHeader = require('./src/dialog-header/src/dialog-header.js');
var dialogContent = require('./src/dialog-content/src/dialog-content.js');
var dialogAction = require('./src/dialog-action/src/dialog-action.js');
var inputBase = require('./src/input-base/src/input-base.js');
var radio = require('./src/radio/src/radio.js');
var _switch = require('./src/switch/src/switch.js');
var badge = require('./src/badge/src/badge.js');
var progress = require('./src/progress/src/progress.js');
var card = require('./src/card/src/card.js');
var cardContent = require('./src/card-content/src/card-content.js');
var cardHeader = require('./src/card-header/src/card-header.js');
var cardAction = require('./src/card-action/src/card-action.js');
var cardMedia = require('./src/card-media/src/card-media.js');
var avatar = require('./src/avatar/src/avatar.js');
var checkbox = require('./src/checkbox/src/checkbox.js');
var breadcrumb = require('./src/breadcrumb/src/breadcrumb.js');
var drawer = require('./src/drawer/src/drawer.js');
var formLabel = require('./src/form-label/src/form-label.js');
var typography = require('./src/typography/src/typography.js');
var ripple = require('./src/ripple/src/ripple.js');
var textField = require('./src/text-field/src/text-field.js');
var svgIcon = require('./src/svg-icon/src/svg-icon.js');
var fba = require('./src/fba/src/fba.js');
var actionArea = require('./src/action-area/src/action-area.js');
var modal = require('./src/modal/src/modal.js');
var popover = require('./src/popover/src/popover.js');
var divider = require('./src/divider/src/divider.js');
var list = require('./src/list/src/list.js');
var listItem = require('./src/list-item/src/list-item.js');
var listItemHeader = require('./src/list-item-header/src/list-item-header.js');
var headlineText = require('./src/headline-text/src/headline-text.js');
var chip = require('./src/chip/src/chip.js');

"use strict";
const components = [
  index.InButtonBase,
  index$2.InButton,
  index$3.InIconButton,
  index$4.InButtonGroup,
  index$5.InAlert,
  index$6.InLink,
  index$7.default,
  index$8.InDialog,
  index$9.InDialogHeader,
  index$a.InDialogContent,
  index$b.InDialogAction,
  index$c.InInputBase,
  index$d.InRadio,
  index$e.InSwitch,
  index$f.InBadge,
  index$g.InProgress,
  index$h.InCard,
  index$i.InCardContent,
  index$j.InCardHeader,
  index$k.InCardAction,
  index$l.InCardMedia,
  index$m.InAvatar,
  index$1.InAvatarGroup,
  index$n.InCheckbox,
  index$o.InBreadcrumb,
  index$s.InRipple,
  index$p.InDrawer,
  index$q.InFormLabel,
  index$r.InTypography,
  index$t.InTextField,
  index$u.InSvgIcon,
  index$v.InFba,
  index$w.InActionArea,
  index$x.InModal,
  index$y.InPopover,
  index$z.InDivider,
  index$A.InList,
  index$B.InListItem,
  index$C.InListItemHeader,
  index$D.InCollapse,
  index$E.InMenu,
  index$F.InHeadlineText,
  index$G.InChip
];
const CK = {
  install(App) {
    components.forEach((item) => {
      App.component(item.name, item);
    });
  }
};

exports.InButtonBase = index.InButtonBase;
exports.InButton = index$2.InButton;
exports.InIconButton = index$3.InIconButton;
exports.InButtonGroup = index$4.InButtonGroup;
exports.InAlert = index$5.InAlert;
exports.InLink = index$6.InLink;
exports.InDialog = index$8.InDialog;
exports.InDialogHeader = index$9.InDialogHeader;
exports.InDialogContent = index$a.InDialogContent;
exports.InDialogAction = index$b.InDialogAction;
exports.InInputBase = index$c.InInputBase;
exports.InRadio = index$d.InRadio;
exports.InCard = index$h.InCard;
exports.InCardContent = index$i.InCardContent;
exports.InCardHeader = index$j.InCardHeader;
exports.InCardAction = index$k.InCardAction;
exports.InCardMedia = index$l.InCardMedia;
exports.InSwitch = index$e.InSwitch;
exports.InBadge = index$f.InBadge;
exports.InProgress = index$g.InProgress;
exports.InAvatar = index$m.InAvatar;
exports.InAvatarGroup = index$1.InAvatarGroup;
exports.InCheckbox = index$n.InCheckbox;
exports.InBreadcrumb = index$o.InBreadcrumb;
exports.InRipple = index$s.InRipple;
exports.InDrawer = index$p.InDrawer;
exports.InFormLabel = index$q.InFormLabel;
exports.InTypography = index$r.InTypography;
exports.InTextField = index$t.InTextField;
exports.InSvgIcon = index$u.InSvgIcon;
exports.InFba = index$v.InFba;
exports.InActionArea = index$w.InActionArea;
exports.InModal = index$x.InModal;
exports.InPopover = index$y.InPopover;
exports.InDivider = index$z.InDivider;
exports.InList = index$A.InList;
exports.InListItem = index$B.InListItem;
exports.InListItemHeader = index$C.InListItemHeader;
exports.InCollapse = index$D.InCollapse;
exports.InMenu = index$E.InMenu;
exports.InHeadlineText = index$F.InHeadlineText;
exports.InChip = index$G.InChip;
exports.InMessage = index$7.default;
exports.InMessageClass = index$7.InMessageClass;
exports.buttonBaseProps = buttonBase.buttonBaseProps;
exports.avatarGroupProps = avatarGroup.avatarGroupProps;
exports.buttonHeight = button.buttonHeight;
exports.buttonProps = button.buttonProps;
exports.buttonShapes = button.buttonShapes;
exports.buttonVariants = button.buttonVariants;
exports.iconButtonProps = iconButton.iconButtonProps;
exports.buttonGroupOrientations = buttonGroup.buttonGroupOrientations;
exports.buttonGroupProps = buttonGroup.buttonGroupProps;
exports.alertIcons = alert.alertIcons;
exports.alertProps = alert.alertProps;
exports.alertVariants = alert.alertVariants;
exports.linkProps = link.linkProps;
exports.linkUnderlineStyles = link.linkUnderlineStyles;
exports.messageProps = message.messageProps;
exports.dialogProps = dialog.dialogProps;
exports.dialogVariants = dialog.dialogVariants;
exports.dialogHeaderProps = dialogHeader.dialogHeaderProps;
exports.dialogContentProps = dialogContent.dialogContentProps;
exports.dialogActionProps = dialogAction.dialogActionProps;
exports.inputBaseProps = inputBase.inputBaseProps;
exports.radioProps = radio.radioProps;
exports.switchHeight = _switch.switchHeight;
exports.switchProps = _switch.switchProps;
exports.badgeProps = badge.badgeProps;
exports.badgeVariants = badge.badgeVariants;
exports.progressProps = progress.progressProps;
exports.progressStatus = progress.progressStatus;
exports.progressVariants = progress.progressVariants;
exports.cardProps = card.cardProps;
exports.cardVariants = card.cardVariants;
exports.cardContentProps = cardContent.cardContentProps;
exports.cardHeaderProps = cardHeader.cardHeaderProps;
exports.cardActionProps = cardAction.cardActionProps;
exports.cardMediaProps = cardMedia.cardMediaProps;
exports.cardMediaShapes = cardMedia.cardMediaShapes;
exports.avatarProps = avatar.avatarProps;
exports.avatarVariants = avatar.avatarVariants;
exports.checkboxProps = checkbox.checkboxProps;
exports.breadcrumbProps = breadcrumb.breadcrumbProps;
exports.drawerProps = drawer.drawerProps;
exports.drawerVariants = drawer.drawerVariants;
exports.formLabelProps = formLabel.formLabelProps;
exports.typographyProps = typography.typographyProps;
exports.rippleProps = ripple.rippleProps;
exports.textFiedlVariants = textField.textFiedlVariants;
exports.textFieldProps = textField.textFieldProps;
exports.svgIconProps = svgIcon.svgIconProps;
exports.fbaProps = fba.fbaProps;
exports.fbaVariants = fba.fbaVariants;
exports.actionAreaProps = actionArea.actionAreaProps;
exports.modalProps = modal.modalProps;
exports.popoverProps = popover.popoverProps;
exports.dividerOrientations = divider.dividerOrientations;
exports.dividerProps = divider.dividerProps;
exports.dividerTextAlignments = divider.dividerTextAlignments;
exports.dividerVariants = divider.dividerVariants;
exports.listAlignItems = list.listAlignItems;
exports.listProps = list.listProps;
exports.listItemProps = listItem.listItemProps;
exports.listItemHeaderProps = listItemHeader.listItemHeaderProps;
exports.headlineTextProps = headlineText.headlineTextProps;
exports.chipProps = chip.chipProps;
exports.chipVariants = chip.chipVariants;
exports.components = components;
exports.default = CK;
//# sourceMappingURL=index.js.map
