'use strict';

require('../../../../constants/index.js');
require('../../../../utils/index.js');
var SuccessOutlined = require('../../svg-icon/internal/SuccessOutlined.vue.js');
var WarningOutlined = require('../../svg-icon/internal/WarningOutlined.vue.js');
var ErrorOutlined = require('../../svg-icon/internal/ErrorOutlined.vue.js');
var InfoOutlined = require('../../svg-icon/internal/InfoOutlined.vue.js');
var severities = require('../../../../constants/src/severities.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const alertVariants = ["filled", "outlined"];
const alertProps = runtime.buildProps({
  variant: {
    type: String,
    values: alertVariants,
    default: "filled"
  },
  severity: {
    type: String,
    values: severities.componentSeverities,
    required: true,
    default: "info"
  },
  icon: {
    type: Boolean,
    default: true
  },
  cs: {
    type: [Object, String]
  }
});
const alertIcons = {
  success: SuccessOutlined.default,
  warning: WarningOutlined.default,
  error: ErrorOutlined.default,
  info: InfoOutlined.default
};

exports.alertIcons = alertIcons;
exports.alertProps = alertProps;
exports.alertVariants = alertVariants;
//# sourceMappingURL=alert.js.map
