'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var useTheme = require('../../../../theme/src/hooks/use-theme.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const theme = useTheme.useTheme();
  const severityPalette = theme.value.palettes[props.severity];
  const lightCss = emotionCss_esm.css`
      --in-alert-color: color-mix(
        in srgb,
        ${severityPalette[80]},
        var(--in-sys-color-switch) 50%
      );
      --in-alert-on-color: ${severityPalette[40]};
      --in-alert-highlight-color: ${severityPalette[50]};
    `;
  const darkCss = emotionCss_esm.css`
      --in-alert-color: ${severityPalette[10]};
      --in-alert-on-color: ${severityPalette[50]};
      --in-alert-highlight-color: ${severityPalette[60]};
    `;
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(
    { [lightCss]: theme.value.mode === "light" },
    { [darkCss]: theme.value.mode === "dark" },
    styleFromCs
  );
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
