'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../theme/index.js');
var index = require('../../typography/index.js');
var alert = require('./alert.js');
var index_jss = require('./index.jss.js');
var useTheme = require('../../../../theme/src/hooks/use-theme.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: alert.alertProps,
  setup(__props) {
    const props = __props;
    const theme = useTheme.useTheme();
    const ns = useNamespace.useNamespace("alert");
    const cssClass = index_jss.default(props, ns);
    const actionColor = vue.computed(() => {
      const severityPalette = theme.value.palettes[props.severity];
      return theme.value.mode === "dark" ? severityPalette[50] : severityPalette[40];
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "div",
        {
          class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(ns).m(props.variant), vue.unref(cssClass)])
        },
        [
          props.icon ? vue.renderSlot(_ctx.$slots, "icon", vue.normalizeProps(vue.mergeProps({ key: 0 }, {
            severity: _ctx.$props.severity,
            class: [vue.unref(ns).m("icon")]
          })), () => [
            (vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(vue.unref(alert.alertIcons)[_ctx.$props.severity]), {
              class: vue.normalizeClass([vue.unref(ns).m("icon")])
            }, null, 8, ["class"]))
          ]) : vue.createCommentVNode("v-if", true),
          vue.createVNode(vue.unref(index.InTypography), {
            component: "span",
            color: "var(--in-alert-on-color)",
            variant: "body.medium",
            class: vue.normalizeClass([vue.unref(ns).m("message")])
          }, {
            default: vue.withCtx(() => [
              vue.renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["class"]),
          vue.renderSlot(_ctx.$slots, "action", vue.normalizeProps(vue.guardReactiveProps({ color: actionColor.value, size: "small" })))
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
