'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../theme/index.js');
var index = require('../../avatar/index.js');
var avatarGroup = require('./avatar-group.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var unRefs = require('../../../../utils/src/vue/composition/un-refs.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
var AvatarGroup = /* @__PURE__ */ vue.defineComponent({
  props: avatarGroup.avatarGroupProps,
  setup(props, {
    slots,
    attrs
  }) {
    const {
      max,
      avatarBorder,
      ...avatarProps
    } = vue.toRefs(props);
    const ns = useNamespace.useNamespace("avatar-group");
    const slotsVNodes = slots?.default?.() ?? [];
    let vNodes = slotsVNodes;
    if (max.value && +max.value < slotsVNodes.length) {
      const count = slotsVNodes.length - +max.value;
      vNodes = [...slotsVNodes.slice(0, +max.value), vue.createVNode(index.InAvatar, null, {
        default: () => [vue.createTextVNode("+"), count]
      })];
    }
    const renderVNodes = vue.computed(() => {
      return vNodes.map((VNode) => vue.createVNode(VNode, vue.mergeProps(unRefs.unRefs(avatarProps), VNode.props ?? {}), null));
    });
    const classList = vue.computed(() => {
      const classes = attrs?.class?.split(" ") ?? [];
      classes.push(ns.b());
      classes.push(emotionCss_esm.css`
        & .in-avatar {
          border: 2px solid ${avatarBorder.value};
        }
      `);
      return emotionCss_esm.cx(classes);
    });
    return () => vue.createVNode("div", vue.mergeProps(attrs, {
      class: classList.value
    }), [renderVNodes.value.reverse()]);
  }
});

exports.default = AvatarGroup;
//# sourceMappingURL=index.js.map
