'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const [backgroundColor] = useColor.useColor(props, "background");
  const [textColor] = useColor.useColor(props, "color");
  const avatarStyle = emotionCss_esm.css`
      height: ${props.size}px;
      width: ${props.size}px;
      min-width: ${props.size}px;
      background-color: ${backgroundColor.value};
      color: ${textColor.value};
    `;
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(avatarStyle, styleFromCs);
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
