'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../button-base/index.js');
var MoreHorizFilled = require('../../svg-icon/internal/MoreHorizFilled.vue.js');
var breadcrumb = require('./breadcrumb.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var Breadcrumb = /* @__PURE__ */ vue.defineComponent({
  props: breadcrumb.breadcrumbProps,
  setup(props, {
    slots
  }) {
    const ns = useNamespace.useNamespace("breadcrumb");
    const slotsCount = vue.computed(() => slots.default?.().length ?? 0);
    const cssClass = index_jss.default(props);
    const showAllSlots = vue.ref(!!props.max && +props.max < slotsCount.value);
    const slotsVNodes = vue.computed(() => (slots.default?.() ?? []).map((VNode) => vue.createVNode(VNode, vue.mergeProps({
      underline: props.underline,
      color: "inherit",
      cs: {
        "--in-link-color-rgb": "var(--in-breadcrumb-color-rgb)"
      }
    }, VNode.props), null)));
    const separator = (() => {
      const Separator = props.separator;
      return vue.createVNode("li", {
        "class": [ns.m("separator")]
      }, [typeof Separator === "string" ? Separator : vue.createVNode(Separator, {
        "size": 20
      }, null)]);
    })();
    const renderSlotsWithoutMaxLimit = () => slotsVNodes.value.map((VNode, index) => vue.createVNode(vue.Fragment, null, [vue.createVNode("li", {
      "class": [ns.m("item")]
    }, [vue.createVNode(VNode, null, null)]), index !== slotsCount.value - 1 && separator]));
    const renderSlotsWithMaxLimit = () => {
      const VNodes = [];
      if (!props.max) {
        return VNodes;
      }
      for (let i = 0; i < +props.max - 1; i++) {
        const VNode = slotsVNodes.value?.[i];
        VNodes.push(vue.createVNode(vue.Fragment, null, [vue.createVNode("li", {
          "class": [ns.m("item")]
        }, [vue.createVNode(VNode, null, null)]), separator]));
      }
      const ButtonBase = index.InButtonBase;
      const MoreButton = vue.createVNode(ButtonBase, {
        "class": [ns.em("button", "more")],
        "onClick": () => showAllSlots.value = !showAllSlots.value
      }, {
        default: () => [vue.createVNode(MoreHorizFilled.default, null, null)]
      });
      const LastVNode = slotsVNodes.value?.[slotsCount.value - 1];
      VNodes.push(vue.createVNode("li", null, [vue.createVNode(MoreButton, null, null)]), separator, vue.createVNode("li", {
        "class": [ns.m("item")]
      }, [vue.createVNode(LastVNode, null, null)]));
      return VNodes;
    };
    return () => vue.createVNode("nav", {
      "class": [ns.b(), cssClass.value]
    }, [vue.createVNode("ol", {
      "class": [ns.m("container")]
    }, [showAllSlots.value ? renderSlotsWithMaxLimit() : renderSlotsWithoutMaxLimit()])]);
  }
});

exports.default = Breadcrumb;
//# sourceMappingURL=index.js.map
