'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var useRgbColor = require('../../../../theme/src/hooks/use-rgb-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const [$color] = useColor.useColor(props, "color");
  const [$colorRgb] = useRgbColor.useRgbColor(props, "color");
  const breadcrumbStyle = emotionCss_esm.css`
      --in-breadcrumb-color: ${$color.value};
      --in-breadcrumb-color-rgb: ${$colorRgb.value};
    `;
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(breadcrumbStyle, styleFromCs);
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
