'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../theme/index.js');
var buttonGroup = require('./button-group.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var useRgbColor = require('../../../../theme/src/hooks/use-rgb-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');
var unRefs = require('../../../../utils/src/vue/composition/un-refs.js');

"use strict";
var ButtonGroup = /* @__PURE__ */ vue.defineComponent({
  props: buttonGroup.buttonGroupProps,
  setup(props, {
    slots,
    attrs
  }) {
    const ns = useNamespace.useNamespace("button-group");
    const {
      orientation,
      ...buttonProps
    } = vue.toRefs(props);
    const [$color] = useColor.useColor(props, "color");
    const [$colorRgb] = useRgbColor.useRgbColor(props, "color");
    const cssClass = vue.computed(() => emotionCss_esm.css`
        --in-button-group-color: ${$color.value};
        --in-button-group-color-rgb: ${$colorRgb.value};
      `);
    const classList = vue.computed(() => {
      const {
        variant,
        shape,
        size
      } = unRefs.unRefs(buttonProps);
      return emotionCss_esm.cx([ns.b(), ns.m(size), ns.m(shape), ns.m(variant), ns.m(orientation.value), cssClass.value]);
    });
    const slotsVNodes = (slots?.default?.() ?? []).map((VNode) => vue.createVNode(VNode, vue.mergeProps(unRefs.unRefs(buttonProps), attrs, VNode.props ?? {}), null));
    return () => vue.createVNode("div", {
      "class": classList.value
    }, [slotsVNodes]);
  }
});

exports.default = ButtonGroup;
//# sourceMappingURL=index.js.map
