'use strict';

require('../../../../constants/index.js');
require('../../../../utils/index.js');
var size = require('../../../../constants/src/size.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const buttonVariants = ["text", "filled", "outlined"];
const buttonShapes = ["rounded", "fullRounded", "square"];
const buttonHeight = {
  small: 32,
  medium: 40,
  large: 48
};
const buttonProps = runtime.buildProps({
  variant: {
    type: String,
    values: buttonVariants,
    default: "filled"
  },
  shape: {
    type: String,
    values: buttonShapes,
    default: "rounded"
  },
  size: {
    type: String,
    values: size.componentSizes,
    default: "medium"
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  disableRipple: {
    type: Boolean,
    default: false
  },
  disableElevation: {
    type: Boolean,
    default: false
  }
});

exports.buttonHeight = buttonHeight;
exports.buttonProps = buttonProps;
exports.buttonShapes = buttonShapes;
exports.buttonVariants = buttonVariants;
//# sourceMappingURL=button.js.map
