'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../../../../theme/index.js');
var vue = require('vue');
var button = require('./button.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var useRgbColor = require('../../../../theme/src/hooks/use-rgb-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props, ns) => vue.computed(() => {
  const [$color, $onColor] = useColor.useColor(props, "color");
  const [$colorRgb] = useRgbColor.useRgbColor(props, "color");
  return emotionCss_esm.css`
      --in-button-color: ${$color.value};
      --in-button-color-rgb: ${$colorRgb.value};
      --in-button-on-color: ${$onColor.value};
      &.${ns.m("filled")} {
        box-shadow: ${props.disableElevation ? "var(--md-sys-elevation-level-0)" : "var(--md-sys-elevation-level-2)"};
        &:not([disabled]):hover {
          box-shadow: ${props.disableElevation ? "var(--md-sys-elevation-level-0)" : "var(--md-sys-elevation-level-4)"};
        }
      }
      &.${ns.m(props.size)} {
        height: ${button.buttonHeight[props.size]}px;
      }
    `;
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
