'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../constants/index.js');
require('../../../../utils/index.js');
var index = require('../../icon-button/index.js');
var index$1 = require('../../input-base/index.js');
var checkbox = require('./checkbox.js');
var CheckBoxFilled = require('../../svg-icon/internal/CheckBoxFilled.vue.js');
var CheckBoxOutlineBlankFilled = require('../../svg-icon/internal/CheckBoxOutlineBlankFilled.vue.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var events = require('../../../../constants/src/events.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: checkbox.checkboxProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace.useNamespace("checkbox");
    const attrs = vue.useAttrs();
    const checked = vue.computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(events.UPDATE_MODEL_EVENT, newVal);
      }
    });
    const showCheckedIcon = vue.computed(() => {
      if (typeof checked.value === "boolean") {
        return checked.value;
      } else {
        return checked.value.includes(attrs.value);
      }
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(
        vue.unref(index.InIconButton),
        vue.mergeProps({ component: "span" }, {
          color: _ctx.$props.color,
          size: _ctx.$props.size,
          class: [vue.unref(ns).b(), vue.unref(ns).m(props.size)]
        }),
        {
          default: vue.withCtx((icon) => [
            vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps({
              checked: checked.value,
              size: icon.size,
              class: ["in-icon", vue.unref(ns).e("icon")]
            })), () => [
              showCheckedIcon.value ? (vue.openBlock(), vue.createBlock(CheckBoxFilled.default, { key: 0 })) : (vue.openBlock(), vue.createBlock(CheckBoxOutlineBlankFilled.default, { key: 1 }))
            ]),
            vue.createCommentVNode(" eslint-disable vue/html-self-closing "),
            vue.createVNode(vue.unref(index$1.InInputBase), vue.mergeProps(_ctx.$attrs, {
              modelValue: checked.value,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => checked.value = $event),
              class: [vue.unref(ns).e("input")],
              type: "checkbox",
              internal: ""
            }), null, 16, ["modelValue", "class"])
          ]),
          _: 3
          /* FORWARDED */
        },
        16
        /* FULL_PROPS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
