'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var shared_esmBundler = require('../../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var useRgbColor = require('../../../../theme/src/hooks/use-rgb-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const [$color, $onColor] = useColor.useColor(props, "color");
  const [$rgbColor, $onRgbColor] = useRgbColor.useRgbColor(props, "color");
  const isSurfaceColor = shared_esmBundler.isString(props.color) && typeof props.color !== "function" ? props.color.toLowerCase().includes("surface") : false;
  const chipStyle = emotionCss_esm.css`
      --in-chip-color: ${$color.value};
      &.in-chip--filled {
        --in-chip-on-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $onColor.value};
        & .in-icon-button {
          --in-icon-button-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $onColor.value};
          --in-icon-button-color-rgb: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant-rgb)" : $onRgbColor.value};
        }
      }
      &.in-chip--outlined {
        --in-chip-on-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $color.value};
        border-color: ${isSurfaceColor ? "var(--md-sys-color-outline)" : $color.value};
        & .in-icon-button {
          --in-icon-button-color: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant)" : $color.value};
          --in-icon-button-color-rgb: ${isSurfaceColor ? "var(--md-sys-color-on-surface-variant-rgb)" : $rgbColor.value};
        }
      }
    `;
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(chipStyle, styleFromCs);
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
