'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var collapse = require('./collapse.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: collapse.collapseProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("collapse");
    const dataset = props.orientation === "vertical" ? {
      oldPaddingTop: "",
      oldPaddingBottom: "",
      oldOverflow: ""
    } : {
      oldPaddingLeft: "",
      oldPaddingRight: "",
      oldOverflow: ""
    };
    const reset = (el) => {
      if (props.orientation === "vertical") {
        el.style.maxHeight = "";
        el.style.overflow = dataset.oldOverflow;
        el.style.paddingTop = dataset.oldPaddingTop;
        el.style.paddingBottom = dataset.oldPaddingBottom;
      } else {
        el.style.maxWidth = "";
        el.style.overflow = dataset.oldOverflow;
        el.style.paddingLeft = dataset.oldPaddingLeft;
        el.style.paddingRight = dataset.oldPaddingRight;
      }
    };
    const listener = {
      beforeEnter(el) {
        if (props.orientation === "vertical") {
          dataset.oldPaddingTop = el.style.paddingTop;
          dataset.oldPaddingBottom = el.style.paddingBottom;
          el.style.maxHeight = 0;
          el.style.paddingTop = 0;
          el.style.paddingBottom = 0;
        } else {
          dataset.oldPaddingLeft = el.style.paddingLeft;
          dataset.oldPaddingRight = el.style.paddingRight;
          el.style.maxWidth = 0;
          el.style.paddingLeft = 0;
          el.style.paddingRight = 0;
        }
      },
      enter(el) {
        dataset.oldOverflow = el.style.overflow;
        if (props.orientation === "vertical") {
          if (el.scrollHeight !== 0) {
            el.style.maxHeight = `${el.scrollHeight}px`;
          } else {
            el.style.maxHeight = 0;
          }
          el.style.paddingTop = dataset.oldPaddingTop;
          el.style.paddingBottom = dataset.oldPaddingBottom;
        } else {
          if (el.scrollWidth !== 0) {
            el.style.maxWidth = `${el.scrollWidth}px`;
          } else {
            el.style.maxWidth = 0;
          }
          el.style.paddingLeft = dataset.oldPaddingLeft;
          el.style.paddingRight = dataset.oldPaddingRight;
        }
      },
      afterEnter(el) {
        if (props.orientation === "vertical") {
          el.style.maxHeight = "";
          el.style.overflow = dataset.oldOverflow;
        } else {
          el.style.maxWidth = "";
          el.style.overflow = dataset.oldOverflow;
        }
      },
      enterCancelled(el) {
        reset(el);
      },
      beforeLeave(el) {
        if (props.orientation === "vertical") {
          dataset.oldPaddingTop = el.style.paddingTop;
          dataset.oldPaddingBottom = el.style.paddingBottom;
          dataset.oldOverflow = el.style.overflow;
          el.style.maxHeight = `${el.scrollHeight}px`;
        } else {
          dataset.oldPaddingLeft = el.style.paddingLeft;
          dataset.oldPaddingRight = el.style.paddingRight;
          dataset.oldOverflow = el.style.overflow;
          el.style.maxWidth = `${el.scrollWidth}px`;
        }
      },
      leave(el) {
        if (props.orientation === "vertical") {
          if (el.scrollHeight !== 0) {
            el.style.maxHeight = 0;
            el.style.paddingTop = 0;
            el.style.paddingBottom = 0;
          }
        } else {
          if (el.scrollWidth !== 0) {
            el.style.maxWidth = 0;
            el.style.paddingLeft = 0;
            el.style.paddingRight = 0;
          }
        }
      },
      afterLeave(el) {
        reset(el);
      },
      leaveCancelled(el) {
        reset(el);
      }
    };
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.Transition, vue.mergeProps({
        name: vue.unref(ns).b()
      }, vue.toHandlers(listener)), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
        /* FORWARDED */
      }, 16, ["name"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
