'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const dividerVariants = ["full-width", "inset"];
const dividerOrientations = ["horizontal", "vertical"];
const dividerTextAlignments = ["left", "center", "right"];
const dividerProps = runtime.buildProps({
  variant: {
    type: String,
    values: dividerVariants,
    default: "full-width"
  },
  orientation: {
    type: String,
    values: dividerOrientations,
    default: "horizontal"
  },
  textAlign: {
    type: String,
    values: dividerTextAlignments,
    default: "center"
  },
  component: {
    type: [String, Object],
    default: "hr"
  },
  noMargin: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

exports.dividerOrientations = dividerOrientations;
exports.dividerProps = dividerProps;
exports.dividerTextAlignments = dividerTextAlignments;
exports.dividerVariants = dividerVariants;
//# sourceMappingURL=divider.js.map
