'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../typography/index.js');
var divider = require('./divider.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !vue.isVNode(s);
}
var Divider = /* @__PURE__ */ vue.defineComponent({
  props: divider.dividerProps,
  setup(props, {
    slots
  }) {
    const ns = useNamespace.useNamespace("divider");
    const cssClass = index_jss.default(props);
    const slotsVNodes = slots.default?.();
    const Comp = props.component;
    return () => (
      // eslint-disable-next-line no-mixed-operators
      props.orientation === "horizontal" && slotsVNodes ? vue.createVNode("div", {
        "class": [ns.b(), ns.m(props.variant), ns.m(props.orientation), ns.em("div", "with-slots"), ns.em("text", props.textAlign), props.noMargin ? ns.m("no-margin") : "", cssClass.value]
      }, [vue.createVNode(index.InTypography, {
        "component": "span",
        "cs": {
          opacity: 0.8
        },
        "class": [ns.m("text")]
      }, _isSlot(slotsVNodes) ? slotsVNodes : {
        default: () => [slotsVNodes]
      })]) : vue.createVNode(Comp, {
        "class": [ns.b(), ns.m(props.variant), ns.m(props.orientation), props.noMargin ? ns.m("no-margin") : "", cssClass.value]
      }, null)
    );
  }
});

exports.default = Divider;
//# sourceMappingURL=index.js.map
