'use strict';

require('../../../../utils/index.js');
require('../../../../constants/index.js');
var directions = require('../../../../constants/src/directions.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const drawerVariants = ["persistent", "temporary"];
const drawerProps = runtime.buildProps({
  open: {
    type: Boolean,
    required: true,
    default: false
  },
  backdrop: {
    type: Boolean,
    default: true
  },
  keepMounted: {
    type: Boolean,
    default: false
  },
  variant: {
    type: String,
    values: drawerVariants,
    default: "temporary"
  },
  background: {
    type: [String, Function],
    default: "surface"
  },
  placement: {
    type: String,
    values: directions.componentDirections,
    default: "right"
  },
  cs: {
    type: [Object, String]
  }
});

exports.drawerProps = drawerProps;
exports.drawerVariants = drawerVariants;
//# sourceMappingURL=drawer.js.map
