'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index$1 = require('../../modal/index.js');
var index = require('../../fragment/index.js');
var drawer = require('./drawer.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
const _hoisted_1 = ["onWheel", "onKeydown"];
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: drawer.drawerProps,
  emits: ["close"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace.useNamespace("drawer");
    const cssClass = index_jss.default(props);
    const handleWheel = (e) => {
      e.preventDefault();
    };
    const drawerRef = vue.ref(null);
    vue.watch(
      () => props.open,
      (newVal) => {
        vue.nextTick(() => {
          if (newVal) {
            drawerRef.value?.focus();
          }
        });
      }
    );
    const handleEscKey = (e) => {
      if (e.key === "Escape") {
        emit("close");
      }
    };
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        vue.Fragment,
        null,
        [
          (vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.$props.variant === "temporary" ? vue.Teleport : vue.unref(index.InFragment)), { to: "body" }, {
            default: vue.withCtx(() => [
              vue.createVNode(vue.Transition, {
                name: vue.unref(ns).bm("animation", `slide-${_ctx.$props.placement}`)
              }, {
                default: vue.withCtx(() => [
                  _ctx.$props.keepMounted || _ctx.$props.open ? vue.withDirectives((vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({ key: 0 }, _ctx.$attrs, {
                    ref_key: "drawerRef",
                    ref: drawerRef,
                    class: [
                      vue.unref(ns).b(),
                      vue.unref(ns).m(_ctx.$props.variant),
                      vue.unref(ns).m(_ctx.$props.placement),
                      vue.unref(cssClass)
                    ],
                    tabindex: "0",
                    onWheel: vue.withModifiers(handleWheel, ["prevent", "stop"]),
                    onKeydown: vue.withKeys(handleEscKey, ["esc"])
                  }), [
                    vue.renderSlot(_ctx.$slots, "default")
                  ], 16, _hoisted_1)), [
                    [vue.vShow, _ctx.$props.open]
                  ]) : vue.createCommentVNode("v-if", true)
                ]),
                _: 3
                /* FORWARDED */
              }, 8, ["name"])
            ]),
            _: 3
            /* FORWARDED */
          })),
          _ctx.$props.variant === "temporary" ? (vue.openBlock(), vue.createBlock(vue.unref(index$1.InModal), {
            key: 0,
            "keep-mounted": _ctx.$props.keepMounted,
            "model-value": _ctx.$props.open,
            backdrop: _ctx.$props.backdrop,
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("close"))
          }, null, 8, ["keep-mounted", "model-value", "backdrop"])) : vue.createCommentVNode("v-if", true)
        ],
        64
        /* STABLE_FRAGMENT */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
