'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
require('../../../../constants/index.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var useRgbColor = require('../../../../theme/src/hooks/use-rgb-color.js');
var size = require('../../../../constants/src/size.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props, ns) => vue.computed(() => {
  const [$color] = useColor.useColor(props, "color");
  const [$colorRgb] = useRgbColor.useRgbColor(props, "color");
  const iconButtonStyle = emotionCss_esm.css`
      --in-icon-button-color: ${$color.value};
      --in-icon-button-color-rgb: ${$colorRgb.value};
      &.${ns.m(props.size)} .in-icon {
        font-size: ${size.iconSize[props.size]}px;
      }
    `;
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(iconButtonStyle, styleFromCs);
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
