'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var useTheme = require('../../../../theme/src/hooks/use-theme.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const theme = useTheme.useTheme();
  const inputBaseStyle = emotionCss_esm.css([
    {
      background: "none",
      color: "inherit"
    },
    theme.value.typography.body.large
  ]);
  const internalStyle = props.internal ? emotionCss_esm.css({
    cursor: "inherit",
    position: "absolute",
    opacity: 0,
    width: "100%",
    height: "100%",
    top: "0px",
    left: "0px",
    margin: "0px",
    padding: "0px",
    zIndex: 1
  }) : "";
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(inputBaseStyle, { [internalStyle]: props.internal }, styleFromCs);
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
