'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const [$highlightColor] = useColor.useColor(props, "highlightColor");
  const listItemStyle = emotionCss_esm.css`
      --in-list-item-highlight-color: ${$highlightColor.value};
      padding: 12px 16px 12px ${16 + +props.indent * 40}px;
      align-items: ${props.alignItems};
    `;
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(listItemStyle, styleFromCs);
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
