'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var list = require('./list.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var List = /* @__PURE__ */ vue.defineComponent({
  props: list.listProps,
  setup(props, {
    slots
  }) {
    const ns = useNamespace.useNamespace("list");
    const cssClass = index_jss.default(props);
    const Comp = props.component;
    return () => vue.createVNode(Comp, {
      "class": [ns.b(), ns.m(`level-${props.level}`), props.sublist ? ns.m("sublist") : "", cssClass.value]
    }, {
      default: () => [vue.createVNode("ul", {
        "class": [ns.e("ul")]
      }, [slots.default?.().map((VNode) => VNode.type.name === "InListItem" ? vue.createVNode(VNode, {
        indent: props.level,
        selectable: props.selectable,
        "highlight-color": props.highlightColor,
        "align-items": props.alignItems,
        ...VNode.props
      }, null) : vue.createVNode(VNode, null, null))])]
    });
  }
});

exports.default = List;
//# sourceMappingURL=index.js.map
