'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var shared_esmBundler = require('../../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  let [$background, $onBackground] = useColor.useColor(props, "background");
  if (shared_esmBundler.isString(props.background) && props.background.startsWith("surface")) {
    $onBackground = vue.ref(
      props.background === "surface" ? $onBackground : "var(--md-sys-color-on-surface-variant)"
    );
  }
  const listStyle = emotionCss_esm.css([
    {
      color: $onBackground.value ?? "var(--md-sys-color-on-surface)",
      "& .in-list-item": {
        color: $onBackground.value ?? "var(--md-sys-color-on-surface)"
      }
    },
    +props.level === 0 && {
      backgroundColor: $background.value ?? "var(--md-sys-color-surface)"
    }
  ]);
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(listStyle, styleFromCs);
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
