'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const listAlignItems = [
  "flex-start",
  "center",
  "flex-end",
  "stretch",
  "baseline"
];
const listProps = runtime.buildProps({
  component: {
    type: [String, Object],
    default: "div"
  },
  background: {
    type: [String, Function],
    default: "surface"
  },
  level: {
    type: [Number, String],
    default: 0
  },
  sublist: {
    type: Boolean,
    default: false
  },
  selectable: {
    type: Boolean,
    default: true
  },
  alignItems: {
    type: String,
    values: listAlignItems,
    default: "center"
  },
  highlightColor: {
    type: [String, Function],
    default: "secondaryContainer"
  },
  disablePadding: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

exports.listAlignItems = listAlignItems;
exports.listProps = listProps;
//# sourceMappingURL=list.js.map
