'use strict';

require('../../../../utils/index.js');
require('../../alert/index.js');
var alert = require('../../alert/src/alert.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const messageXPlacements = ["left", "center", "right"];
const messageYPlacements = ["top", "bottom"];
const { cs: _cs, ...restProps } = alert.alertProps;
const messageProps = runtime.buildProps({
  ...restProps,
  title: {
    type: String
  },
  content: {
    type: String,
    required: true
  },
  customIcon: {
    type: Object
  },
  action: {
    type: Object
  },
  actionEvent: {
    type: Function,
    default: (_e, _remove) => {
    }
  },
  duration: {
    type: Number,
    default: 2e3
  },
  transition: {
    type: String,
    default: "all 0.5s ease"
  },
  placement: {
    type: Object,
    default: () => ({
      x: "center",
      y: "top"
    }),
    validator: (val) => {
      const { x, y } = val;
      const xValid = x ? messageXPlacements.includes(x) : true;
      const yValid = y ? messageYPlacements.includes(y) : true;
      return xValid && yValid;
    }
  }
});

exports.messageProps = messageProps;
//# sourceMappingURL=message.js.map
