'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
require('../../../../utils/index.js');
require('../../../../node_modules/.pnpm/@vueuse_core@9.1.1_vue@3.3.8/node_modules/@vueuse/core/index.js');
var createTheme = require('../../../../theme/src/core/create-theme.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var index = require('../../../../node_modules/.pnpm/@vueuse_shared@9.1.1_vue@3.3.8/node_modules/@vueuse/shared/index.js');
var themeProvider = require('../../../../theme/src/components/theme-provider.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "notistack",
  setup(__props, { expose: __expose }) {
    const themeProdiver = vue.ref(null);
    const children = vue.reactive([]);
    const html = document.documentElement;
    const theme = createTheme.createTheme(void 0, {
      target: "host",
      config: { mode: html.attributes["data-theme"] ? "dark" : "light" }
    });
    const ns = useNamespace.useNamespace("notistack");
    const add = (child) => {
      children.push(child);
    };
    const remove = (condition) => {
      if (index.isNumber(condition)) {
        children.splice(condition, 1);
      } else {
        const index = children.findIndex((child) => child.id === condition);
        if (index !== -1) {
          children.splice(index, 1);
        }
      }
    };
    const removeAll = () => {
      children.splice(0, children.length);
    };
    const watcher = () => {
      if (typeof window === "undefined") {
        return;
      }
      const MutationObserver = window.MutationObserver;
      const observer = new MutationObserver((mutations) => {
        mutations.forEach((mutation) => {
          if (mutation.type === "attributes") {
            theme.value.mode = theme.value.mode === "light" ? "dark" : "light";
          }
        });
      });
      observer.observe(html, {
        attributes: true,
        attributeFilter: ["data-theme"]
      });
    };
    __expose({ add, remove, removeAll });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(themeProvider.default), {
        ref_key: "themeProdiver",
        ref: themeProdiver,
        theme: vue.unref(theme),
        "onUpdate:theme": _cache[0] || (_cache[0] = ($event) => vue.isRef(theme) ? theme.value = $event : null),
        watcher,
        component: vue.TransitionGroup,
        tag: "div",
        name: "message",
        class: vue.normalizeClass([vue.unref(ns).b()])
      }, {
        default: vue.withCtx(() => [
          (vue.openBlock(true), vue.createElementBlock(
            vue.Fragment,
            null,
            vue.renderList(children, (child) => {
              return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(child), {
                key: child.id
              });
            }),
            128
            /* KEYED_FRAGMENT */
          ))
        ]),
        _: 1
        /* STABLE */
      }, 8, ["theme", "class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=notistack.vue2.js.map
