'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../constants/index.js');
var modal = require('./modal.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var events = require('../../../../constants/src/events.js');

"use strict";
const _hoisted_1 = ["onWheel"];
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: modal.modalProps,
  emits: ["update:modelValue", "close"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace.useNamespace("modal");
    const handleWheel = (e) => {
      e.preventDefault();
    };
    const open = vue.computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(events.UPDATE_MODEL_EVENT, newVal);
      }
    });
    const handleClick = () => {
      open.value = false;
      emit("close");
    };
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.Teleport, { to: "body" }, [
        vue.createVNode(vue.Transition, { name: "fade" }, {
          default: vue.withCtx(() => [
            _ctx.$props.keepMounted || open.value ? vue.withDirectives((vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
              key: 0,
              class: [vue.unref(ns).b(), open.value ? vue.unref(ns).m("open") : ""]
            }, _ctx.$attrs, {
              onWheel: vue.withModifiers(handleWheel, ["prevent", "stop"]),
              onClick: handleClick
            }), [
              _ctx.$props.backdrop ? (vue.openBlock(), vue.createElementBlock(
                "div",
                {
                  key: 0,
                  class: vue.normalizeClass([vue.unref(ns).e("backdrop")]),
                  onClick: handleClick
                },
                [
                  vue.renderSlot(_ctx.$slots, "default")
                ],
                2
                /* CLASS */
              )) : vue.renderSlot(_ctx.$slots, "default", { key: 1 })
            ], 16, _hoisted_1)), [
              [vue.vShow, open.value]
            ]) : vue.createCommentVNode("v-if", true)
          ]),
          _: 3
          /* FORWARDED */
        })
      ]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
