'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const popoverXPlacements = ["left", "center", "right"];
const popoverYPlacements = ["top", "bottom"];
const popoverProps = runtime.buildProps({
  open: {
    type: Boolean,
    required: true,
    default: false
  },
  anchor: {
    type: [Object, null, void 0],
    required: true
  },
  backdrop: {
    type: Boolean,
    default: false
  },
  keepMounted: {
    type: Boolean,
    default: false
  },
  placement: {
    type: Object,
    default: () => ({
      x: "left",
      y: "bottom"
    }),
    validator: (val) => {
      const { x, y } = val;
      const xValid = x ? popoverXPlacements.includes(x) : true;
      const yValid = y ? popoverYPlacements.includes(y) : true;
      return xValid && yValid;
    }
  },
  cs: {
    type: [Object, String]
  }
});

exports.popoverProps = popoverProps;
//# sourceMappingURL=popover.js.map
