'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../../utils/index.js');
var index = require('../../../svg-icon/index.js');
var props = require('./props.js');
var useNamespace = require('../../../../../utils/src/dom/use-namespace.js');

"use strict";
const _hoisted_1 = ["r", "stroke-dashoffset"];
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...{ inheritAttrs: false },
  __name: "circular",
  props: props.progressCircleSvgProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("progress");
    const size = vue.computed(() => ((props.radius ?? 22) + 2) * 2);
    const circles = vue.computed(
      () => props.status === "indeterminate" ? [ns.em("circular", "left-track"), ns.em("circular", "right-track")] : [ns.em("circular", "active-track")]
    );
    const strokeDashoffset = vue.computed(() => {
      if (props.status === "indeterminate" || props.value === void 0) {
        return void 0;
      }
      return 2 * Math.PI * (props.radius ?? 22) * (1 - +props.value / 100);
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(index.InSvgIcon), { size: size.value }, {
        default: vue.withCtx(() => [
          (vue.openBlock(), vue.createElementBlock(
            "svg",
            {
              viewBox: "0 0 48 48",
              class: vue.normalizeClass([vue.unref(ns).e("circular"), vue.unref(ns).m(_ctx.$props.status)])
            },
            [
              (vue.openBlock(true), vue.createElementBlock(
                vue.Fragment,
                null,
                vue.renderList(circles.value, (circle) => {
                  return vue.openBlock(), vue.createElementBlock("circle", {
                    key: circle,
                    class: vue.normalizeClass(circle),
                    r: _ctx.$props.radius,
                    "stroke-dashoffset": strokeDashoffset.value,
                    cx: "50%",
                    cy: "50%",
                    fill: "none",
                    "stroke-width": "4"
                  }, null, 10, _hoisted_1);
                }),
                128
                /* KEYED_FRAGMENT */
              ))
            ],
            2
            /* CLASS */
          ))
        ]),
        _: 1
        /* STABLE */
      }, 8, ["size"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=circular.vue2.js.map
