'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../theme/index.js');
var ripple = require('./ripple.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var style = require('../../../../utils/src/dom/style.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: ripple.rippleProps,
  setup(__props, { expose: __expose }) {
    const props = __props;
    const ripplesArr = vue.reactive([]);
    const parent = vue.getCurrentInstance()?.parent;
    const ns = useNamespace.useNamespace("ripple");
    let bounce = null;
    let listener = null;
    const $color = useColor.useColor(props, "color")[0].value;
    const addRipple = (event) => {
      const target = event.currentTarget;
      const rect = target.getBoundingClientRect();
      const size = Math.max(target.clientWidth, target.clientHeight);
      const radius = size / 2;
      const x = props.center ? target.clientWidth / 2 - radius : event.clientX - rect.left - radius;
      const y = props.center ? target.clientHeight / 2 - radius : event.clientY - rect.top - radius;
      ripplesArr.push({ x, y, size });
    };
    const clear = () => {
      if (bounce) {
        clearTimeout(bounce);
        bounce = null;
      }
    };
    vue.watchEffect(() => {
      if (ripplesArr.length > 0) {
        clear();
        bounce = setTimeout(() => {
          ripplesArr.length = 0;
          clear();
        }, props.duration * 2);
      }
    });
    vue.onMounted(() => {
      if (parent) {
        listener = parent.proxy?.$el.addEventListener("mousedown", addRipple);
      }
    });
    vue.onUnmounted(() => {
      clear();
      if (listener) {
        parent?.proxy?.$el.removeEventListener(listener);
        listener = null;
      }
    });
    __expose({ addRipple });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "span",
        {
          class: vue.normalizeClass([vue.unref(ns).b()])
        },
        [
          (vue.openBlock(true), vue.createElementBlock(
            vue.Fragment,
            null,
            vue.renderList(ripplesArr, (ripple, index) => {
              return vue.openBlock(), vue.createElementBlock(
                "span",
                {
                  key: `ripple_${index}`,
                  style: vue.normalizeStyle({
                    top: vue.unref(style.addUnit)(ripple.y),
                    left: vue.unref(style.addUnit)(ripple.x),
                    width: vue.unref(style.addUnit)(ripple.size),
                    height: vue.unref(style.addUnit)(ripple.size),
                    background: vue.unref($color),
                    animationDuration: `${_ctx.$props.duration}ms`
                  }),
                  class: vue.normalizeClass([[vue.unref(ns).e("span")], "pressed-state-layer"])
                },
                null,
                6
                /* CLASS, STYLE */
              );
            }),
            128
            /* KEYED_FRAGMENT */
          ))
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
