'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var svgIcon = require('./svg-icon.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var InSvgIcon = /* @__PURE__ */ vue.defineComponent({
  props: svgIcon.svgIconProps,
  setup(props, {
    slots
  }) {
    const ns = useNamespace.useNamespace("svg-icon");
    const cssClass = index_jss.default(props);
    const slotsVNodes = vue.computed(() => slots?.default?.() ?? []);
    if (slotsVNodes.value.length > 1) {
      throw new Error("[Interface UI]: The SvgIcon can only contain one child.");
    }
    const Comp = props.component;
    return () => vue.createVNode(Comp, vue.mergeProps({
      "class": [ns.b(), cssClass.value]
    }, slotsVNodes.value[0]?.props), {
      default: () => [slotsVNodes.value[0]?.children]
    });
  }
});

exports.default = InSvgIcon;
//# sourceMappingURL=index.js.map
