'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var useTheme = require('../../../../theme/src/hooks/use-theme.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const {
    typography: { pxToRem }
  } = useTheme.useTheme().value;
  const [$color] = useColor.useColor(props, "color");
  const [$fill] = useColor.useColor(props, "fill");
  let fontSize;
  const _size = +props.size;
  if (isNaN(_size)) {
    const [_, size, unit] = /(d+)(w+)/.exec(props.size) || [];
    fontSize = unit === "px" ? pxToRem(+size) : props.size;
  } else {
    fontSize = pxToRem(_size);
  }
  const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
  return emotionCss_esm.cx(
    emotionCss_esm.css([
      {
        userSelect: "none",
        width: "1em",
        height: "1em",
        display: "inline-block",
        flexShrink: 0,
        transition: "fill 200ms cubic-bezier(0.4, 0, 0.2, 1) 0ms",
        fontSize,
        color: $color.value
      },
      props.fill && {
        fill: $fill.value
      }
    ]),
    styleFromCs
  );
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
