'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../constants/index.js');
var index = require('../../typography/index.js');
var index$1 = require('../../input-base/index.js');
var textField = require('./text-field.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var events = require('../../../../constants/src/events.js');
var id = require('../../../../utils/src/dom/id.js');
var check = require('../../../../utils/src/javascript/check.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: textField.textFieldProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const attrs = vue.useAttrs();
    const slots = vue.useSlots();
    const ns = useNamespace.useNamespace("text-field");
    const cssClass = index_jss.default(props);
    const value = vue.computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(events.UPDATE_MODEL_EVENT, newVal);
      }
    });
    const id$1 = attrs?.id ? attrs.id : `text-field-${id.generateId()}`;
    const label = vue.computed(() => props?.label ?? "");
    const hasContent = vue.computed(() => {
      const startAdornment = slots?.startAdornment?.();
      return !check.isEmpty(props.modelValue) || !!startAdornment;
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "div",
        {
          class: vue.normalizeClass([
            vue.unref(ns).b(),
            vue.unref(ns).m(_ctx.$props.variant),
            vue.unref(ns).m(_ctx.$props.size),
            _ctx.$props.error ? vue.unref(ns).m("error") : "",
            hasContent.value ? vue.unref(ns).m("content-within") : "",
            vue.unref(cssClass)
          ])
        },
        [
          _ctx.$props?.label ? (vue.openBlock(), vue.createBlock(vue.unref(index.InTypography), {
            key: 0,
            id: vue.unref(id$1),
            component: "label",
            class: vue.normalizeClass([vue.unref(ns).e("label")]),
            color: "rgb(var(--md-sys-color-on-surface-rgb) / 0.6);",
            "no-warp": ""
          }, {
            default: vue.withCtx(() => [
              vue.createTextVNode(
                vue.toDisplayString(label.value),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          }, 8, ["id", "class"])) : vue.createCommentVNode("v-if", true),
          vue.createElementVNode(
            "div",
            {
              class: vue.normalizeClass([vue.unref(ns).m("input-wrapper")])
            },
            [
              vue.renderSlot(_ctx.$slots, "startAdornment", vue.normalizeProps(vue.guardReactiveProps({ class: [vue.unref(ns).m("start-adornment")] }))),
              vue.createVNode(vue.unref(index$1.InInputBase), vue.mergeProps({ id: vue.unref(id$1) }, _ctx.$attrs, {
                modelValue: value.value,
                "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => value.value = $event),
                class: [vue.unref(ns).e("input")]
              }), null, 16, ["id", "modelValue", "class"]),
              vue.renderSlot(_ctx.$slots, "endAdornment", vue.normalizeProps(vue.guardReactiveProps({ class: [vue.unref(ns).m("end-adornment")] }))),
              _ctx.$props.variant === "outlined" && _ctx.$props?.label ? (vue.openBlock(), vue.createElementBlock(
                "fieldset",
                {
                  key: 0,
                  class: vue.normalizeClass([vue.unref(ns).m("border")])
                },
                [
                  vue.createVNode(vue.unref(index.InTypography), {
                    component: "legend",
                    "no-warp": ""
                  }, {
                    default: vue.withCtx(() => [
                      vue.createTextVNode(
                        vue.toDisplayString(label.value),
                        1
                        /* TEXT */
                      )
                    ]),
                    _: 1
                    /* STABLE */
                  })
                ],
                2
                /* CLASS */
              )) : (vue.openBlock(), vue.createElementBlock(
                "span",
                {
                  key: 1,
                  class: vue.normalizeClass([vue.unref(ns).m("border")])
                },
                null,
                2
                /* CLASS */
              ))
            ],
            2
            /* CLASS */
          ),
          _ctx.$props?.supportingText ? (vue.openBlock(), vue.createBlock(vue.unref(index.InTypography), {
            key: 1,
            class: vue.normalizeClass([vue.unref(ns).m("supporting-text")]),
            variant: "body.small",
            "no-warp": ""
          }, {
            default: vue.withCtx(() => [
              vue.createTextVNode(
                vue.toDisplayString(_ctx.$props.supportingText),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          }, 8, ["class"])) : vue.createCommentVNode("v-if", true)
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
