'use strict';

require('../../../../constants/index.js');
require('../../../../utils/index.js');
var size = require('../../../../constants/src/size.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const textFiedlVariants = ["outlined", "filled", "standard"];
const textFieldProps = runtime.buildProps({
  modelValue: {
    type: String,
    required: true,
    default: ""
  },
  variant: {
    type: String,
    values: textFiedlVariants,
    default: "outlined"
  },
  label: {
    type: String
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  size: {
    type: String,
    values: size.componentSizes,
    default: "large"
  },
  cs: {
    type: [String, Array, Object]
  },
  error: {
    type: Boolean,
    default: false
  },
  supportingText: {
    type: String
  }
});

exports.textFiedlVariants = textFiedlVariants;
exports.textFieldProps = textFieldProps;
//# sourceMappingURL=text-field.js.map
