'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../../../../theme/index.js');
var vue = require('vue');
var useTheme = require('../../../../theme/src/hooks/use-theme.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => {
  const { variant } = props;
  const [_, $variant, size] = variant.match(/([\w\d]+)\.?(\w+)?/);
  const theme = useTheme.useTheme();
  const style = size ? (
    // @ts-expect-error: complicate types
    theme.value.typography[$variant][size]
  ) : (
    // @ts-expect-error: complicate types
    theme.value.typography[$variant]
  );
  return vue.computed(() => {
    const [$color] = useColor.useColor(props, "color");
    const styleFromCs = props.cs ? emotionCss_esm.css(props.cs) : "";
    return emotionCss_esm.cx(
      emotionCss_esm.css({
        color: $color.value,
        margin: 0,
        border: "none",
        ...style
      }),
      styleFromCs
    );
  });
};

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
