'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
require('../../../../utils/index.js');
var typography = require('./typography.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var types = require('../../../../theme/src/typography/types.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: typography.typographyProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("typography");
    const parsed = vue.computed(() => {
      const { variant, component } = props;
      const [_, $variant, size] = variant.match(/([\w\d]+)\.?(\w+)?/);
      const renderTag = component ?? types.typographyMapping[$variant] ?? "span";
      return [renderTag, $variant, size];
    });
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(parsed.value[0]), {
        class: vue.normalizeClass([
          vue.unref(ns).b(),
          _ctx.$props.noWarp ? vue.unref(ns).m("nowarp") : "",
          _ctx.$props.gutter ? vue.unref(ns).m("gutter") : "",
          vue.unref(cssClass)
        ])
      }, {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
