'use strict';

require('../../../../utils/index.js');
require('../../../../theme/index.js');
require('../../../../constants/index.js');
var size = require('../../../../constants/src/size.js');
var types = require('../../../../theme/src/typography/types.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const $typographyWithSize = types.typographyWithSize.map((item) => size.componentSizes.map((size) => `${item}.${size}`)).flat();
const typographyVariant = [...types.typographyWithoutSize, ...$typographyWithSize];
const typographyProps = runtime.buildProps({
  variant: {
    type: String,
    values: typographyVariant,
    default: "body.large"
  },
  component: {
    type: [String, Object]
  },
  noWarp: {
    type: Boolean,
    default: false
  },
  gutter: {
    type: Boolean,
    default: false
  },
  color: {
    type: [String, Function],
    default: "onSurface"
  },
  cs: {
    type: [Object, String]
  }
});

exports.typographyProps = typographyProps;
//# sourceMappingURL=typography.js.map
