'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseCreate = require('./_baseCreate.js');
var _baseLodash = require('./_baseLodash.js');

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH = 4294967295;

/**
 * Creates a lazy wrapper object which wraps `value` to enable lazy evaluation.
 *
 * @private
 * @constructor
 * @param {*} value The value to wrap.
 */
function LazyWrapper(value) {
  this.__wrapped__ = value;
  this.__actions__ = [];
  this.__dir__ = 1;
  this.__filtered__ = false;
  this.__iteratees__ = [];
  this.__takeCount__ = MAX_ARRAY_LENGTH;
  this.__views__ = [];
}

// Ensure `LazyWrapper` is an instance of `baseLodash`.
LazyWrapper.prototype = _baseCreate.default(_baseLodash.default.prototype);
LazyWrapper.prototype.constructor = LazyWrapper;

exports.default = LazyWrapper;
//# sourceMappingURL=_LazyWrapper.js.map
