'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseCreate = require('./_baseCreate.js');
var _baseLodash = require('./_baseLodash.js');

/**
 * The base constructor for creating `lodash` wrapper objects.
 *
 * @private
 * @param {*} value The value to wrap.
 * @param {boolean} [chainAll] Enable explicit method chain sequences.
 */
function LodashWrapper(value, chainAll) {
  this.__wrapped__ = value;
  this.__actions__ = [];
  this.__chain__ = !!chainAll;
  this.__index__ = 0;
  this.__values__ = undefined;
}

LodashWrapper.prototype = _baseCreate.default(_baseLodash.default.prototype);
LodashWrapper.prototype.constructor = LodashWrapper;

exports.default = LodashWrapper;
//# sourceMappingURL=_LodashWrapper.js.map
