'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _MapCache = require('./_MapCache.js');
var _setCacheAdd = require('./_setCacheAdd.js');
var _setCacheHas = require('./_setCacheHas.js');

/**
 *
 * Creates an array cache object to store unique values.
 *
 * @private
 * @constructor
 * @param {Array} [values] The values to cache.
 */
function SetCache(values) {
  var index = -1,
      length = values == null ? 0 : values.length;

  this.__data__ = new _MapCache.default;
  while (++index < length) {
    this.add(values[index]);
  }
}

// Add methods to `SetCache`.
SetCache.prototype.add = SetCache.prototype.push = _setCacheAdd.default;
SetCache.prototype.has = _setCacheHas.default;

exports.default = SetCache;
//# sourceMappingURL=_SetCache.js.map
