'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _ListCache = require('./_ListCache.js');
var _stackClear = require('./_stackClear.js');
var _stackDelete = require('./_stackDelete.js');
var _stackGet = require('./_stackGet.js');
var _stackHas = require('./_stackHas.js');
var _stackSet = require('./_stackSet.js');

/**
 * Creates a stack cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function Stack(entries) {
  var data = this.__data__ = new _ListCache.default(entries);
  this.size = data.size;
}

// Add methods to `Stack`.
Stack.prototype.clear = _stackClear.default;
Stack.prototype['delete'] = _stackDelete.default;
Stack.prototype.get = _stackGet.default;
Stack.prototype.has = _stackHas.default;
Stack.prototype.set = _stackSet.default;

exports.default = Stack;
//# sourceMappingURL=_Stack.js.map
