'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseClamp = require('./_baseClamp.js');
var _copyArray = require('./_copyArray.js');
var _shuffleSelf = require('./_shuffleSelf.js');

/**
 * A specialized version of `_.sampleSize` for arrays.
 *
 * @private
 * @param {Array} array The array to sample.
 * @param {number} n The number of elements to sample.
 * @returns {Array} Returns the random elements.
 */
function arraySampleSize(array, n) {
  return _shuffleSelf.default(_copyArray.default(array), _baseClamp.default(n, 0, array.length));
}

exports.default = arraySampleSize;
//# sourceMappingURL=_arraySampleSize.js.map
