'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseAssignValue = require('./_baseAssignValue.js');
var eq = require('./eq.js');

/**
 * This function is like `assignValue` except that it doesn't assign
 * `undefined` values.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {string} key The key of the property to assign.
 * @param {*} value The value to assign.
 */
function assignMergeValue(object, key, value) {
  if ((value !== undefined && !eq.default(object[key], value)) ||
      (value === undefined && !(key in object))) {
    _baseAssignValue.default(object, key, value);
  }
}

exports.default = assignMergeValue;
//# sourceMappingURL=_assignMergeValue.js.map
