'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _copyObject = require('./_copyObject.js');
var keys = require('./keys.js');

/**
 * The base implementation of `_.assign` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssign(object, source) {
  return object && _copyObject.default(source, keys.default(source), object);
}

exports.default = baseAssign;
//# sourceMappingURL=_baseAssign.js.map
