'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _copyObject = require('./_copyObject.js');
var keysIn = require('./keysIn.js');

/**
 * The base implementation of `_.assignIn` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssignIn(object, source) {
  return object && _copyObject.default(source, keysIn.default(source), object);
}

exports.default = baseAssignIn;
//# sourceMappingURL=_baseAssignIn.js.map
