'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseConformsTo = require('./_baseConformsTo.js');
var keys = require('./keys.js');

/**
 * The base implementation of `_.conforms` which doesn't clone `source`.
 *
 * @private
 * @param {Object} source The object of property predicates to conform to.
 * @returns {Function} Returns the new spec function.
 */
function baseConforms(source) {
  var props = keys.default(source);
  return function(object) {
    return _baseConformsTo.default(object, source, props);
  };
}

exports.default = baseConforms;
//# sourceMappingURL=_baseConforms.js.map
