'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseEach = require('./_baseEach.js');

/**
 * The base implementation of `_.filter` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {Array} Returns the new filtered array.
 */
function baseFilter(collection, predicate) {
  var result = [];
  _baseEach.default(collection, function(value, index, collection) {
    if (predicate(value, index, collection)) {
      result.push(value);
    }
  });
  return result;
}

exports.default = baseFilter;
//# sourceMappingURL=_baseFilter.js.map
