'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseFor = require('./_baseFor.js');
var keys = require('./keys.js');

/**
 * The base implementation of `_.forOwn` without support for iteratee shorthands.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Object} Returns `object`.
 */
function baseForOwn(object, iteratee) {
  return object && _baseFor.default(object, iteratee, keys.default);
}

exports.default = baseForOwn;
//# sourceMappingURL=_baseForOwn.js.map
