'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseForRight = require('./_baseForRight.js');
var keys = require('./keys.js');

/**
 * The base implementation of `_.forOwnRight` without support for iteratee shorthands.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Object} Returns `object`.
 */
function baseForOwnRight(object, iteratee) {
  return object && _baseForRight.default(object, iteratee, keys.default);
}

exports.default = baseForOwnRight;
//# sourceMappingURL=_baseForOwnRight.js.map
