'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _arrayFilter = require('./_arrayFilter.js');
var isFunction = require('./isFunction.js');

/**
 * The base implementation of `_.functions` which creates an array of
 * `object` function property names filtered from `props`.
 *
 * @private
 * @param {Object} object The object to inspect.
 * @param {Array} props The property names to filter.
 * @returns {Array} Returns the function names.
 */
function baseFunctions(object, props) {
  return _arrayFilter.default(props, function(key) {
    return isFunction.default(object[key]);
  });
}

exports.default = baseFunctions;
//# sourceMappingURL=_baseFunctions.js.map
