'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _apply = require('./_apply.js');
var _castPath = require('./_castPath.js');
var last = require('./last.js');
var _parent = require('./_parent.js');
var _toKey = require('./_toKey.js');

/**
 * The base implementation of `_.invoke` without support for individual
 * method arguments.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the method to invoke.
 * @param {Array} args The arguments to invoke the method with.
 * @returns {*} Returns the result of the invoked method.
 */
function baseInvoke(object, path, args) {
  path = _castPath.default(path, object);
  object = _parent.default(object, path);
  var func = object == null ? object : object[_toKey.default(last.default(path))];
  return func == null ? undefined : _apply.default(func, object, args);
}

exports.default = baseInvoke;
//# sourceMappingURL=_baseInvoke.js.map
