'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseGetTag = require('./_baseGetTag.js');
var isObjectLike = require('./isObjectLike.js');

var arrayBufferTag = '[object ArrayBuffer]';

/**
 * The base implementation of `_.isArrayBuffer` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
 */
function baseIsArrayBuffer(value) {
  return isObjectLike.default(value) && _baseGetTag.default(value) == arrayBufferTag;
}

exports.default = baseIsArrayBuffer;
//# sourceMappingURL=_baseIsArrayBuffer.js.map
