'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _getTag = require('./_getTag.js');
var isObjectLike = require('./isObjectLike.js');

/** `Object#toString` result references. */
var mapTag = '[object Map]';

/**
 * The base implementation of `_.isMap` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a map, else `false`.
 */
function baseIsMap(value) {
  return isObjectLike.default(value) && _getTag.default(value) == mapTag;
}

exports.default = baseIsMap;
//# sourceMappingURL=_baseIsMap.js.map
