'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _getTag = require('./_getTag.js');
var isObjectLike = require('./isObjectLike.js');

/** `Object#toString` result references. */
var setTag = '[object Set]';

/**
 * The base implementation of `_.isSet` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 */
function baseIsSet(value) {
  return isObjectLike.default(value) && _getTag.default(value) == setTag;
}

exports.default = baseIsSet;
//# sourceMappingURL=_baseIsSet.js.map
