'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseIsMatch = require('./_baseIsMatch.js');
var _getMatchData = require('./_getMatchData.js');
var _matchesStrictComparable = require('./_matchesStrictComparable.js');

/**
 * The base implementation of `_.matches` which doesn't clone `source`.
 *
 * @private
 * @param {Object} source The object of property values to match.
 * @returns {Function} Returns the new spec function.
 */
function baseMatches(source) {
  var matchData = _getMatchData.default(source);
  if (matchData.length == 1 && matchData[0][2]) {
    return _matchesStrictComparable.default(matchData[0][0], matchData[0][1]);
  }
  return function(object) {
    return object === source || _baseIsMatch.default(object, source, matchData);
  };
}

exports.default = baseMatches;
//# sourceMappingURL=_baseMatches.js.map
