'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _basePickBy = require('./_basePickBy.js');
var hasIn = require('./hasIn.js');

/**
 * The base implementation of `_.pick` without support for individual
 * property identifiers.
 *
 * @private
 * @param {Object} object The source object.
 * @param {string[]} paths The property paths to pick.
 * @returns {Object} Returns the new object.
 */
function basePick(object, paths) {
  return _basePickBy.default(object, paths, function(value, path) {
    return hasIn.default(object, path);
  });
}

exports.default = basePick;
//# sourceMappingURL=_basePick.js.map
