'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * The base implementation of `_.property` without support for deep paths.
 *
 * @private
 * @param {string} key The key of the property to get.
 * @returns {Function} Returns the new accessor function.
 */
function baseProperty(key) {
  return function(object) {
    return object == null ? undefined : object[key];
  };
}

exports.default = baseProperty;
//# sourceMappingURL=_baseProperty.js.map
