'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseGet = require('./_baseGet.js');

/**
 * A specialized version of `baseProperty` which supports deep paths.
 *
 * @private
 * @param {Array|string} path The path of the property to get.
 * @returns {Function} Returns the new accessor function.
 */
function basePropertyDeep(path) {
  return function(object) {
    return _baseGet.default(object, path);
  };
}

exports.default = basePropertyDeep;
//# sourceMappingURL=_basePropertyDeep.js.map
