'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseClamp = require('./_baseClamp.js');
var _shuffleSelf = require('./_shuffleSelf.js');
var values = require('./values.js');

/**
 * The base implementation of `_.sampleSize` without param guards.
 *
 * @private
 * @param {Array|Object} collection The collection to sample.
 * @param {number} n The number of elements to sample.
 * @returns {Array} Returns the random elements.
 */
function baseSampleSize(collection, n) {
  var array = values.default(collection);
  return _shuffleSelf.default(array, _baseClamp.default(n, 0, array.length));
}

exports.default = baseSampleSize;
//# sourceMappingURL=_baseSampleSize.js.map
