'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var identity = require('./identity.js');
var _metaMap = require('./_metaMap.js');

/**
 * The base implementation of `setData` without support for hot loop shorting.
 *
 * @private
 * @param {Function} func The function to associate metadata with.
 * @param {*} data The metadata.
 * @returns {Function} Returns `func`.
 */
var baseSetData = !_metaMap.default ? identity.default : function(func, data) {
  _metaMap.default.set(func, data);
  return func;
};

exports.default = baseSetData;
//# sourceMappingURL=_baseSetData.js.map
