'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var constant = require('./constant.js');
var _defineProperty = require('./_defineProperty.js');
var identity = require('./identity.js');

/**
 * The base implementation of `setToString` without support for hot loop shorting.
 *
 * @private
 * @param {Function} func The function to modify.
 * @param {Function} string The `toString` result.
 * @returns {Function} Returns `func`.
 */
var baseSetToString = !_defineProperty.default ? identity.default : function(func, string) {
  return _defineProperty.default(func, 'toString', {
    'configurable': true,
    'enumerable': false,
    'value': constant.default(string),
    'writable': true
  });
};

exports.default = baseSetToString;
//# sourceMappingURL=_baseSetToString.js.map
