'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _trimmedEndIndex = require('./_trimmedEndIndex.js');

/** Used to match leading whitespace. */
var reTrimStart = /^\s+/;

/**
 * The base implementation of `_.trim`.
 *
 * @private
 * @param {string} string The string to trim.
 * @returns {string} Returns the trimmed string.
 */
function baseTrim(string) {
  return string
    ? string.slice(0, _trimmedEndIndex.default(string) + 1).replace(reTrimStart, '')
    : string;
}

exports.default = baseTrim;
//# sourceMappingURL=_baseTrim.js.map
