'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseGet = require('./_baseGet.js');
var _baseSet = require('./_baseSet.js');

/**
 * The base implementation of `_.update`.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to update.
 * @param {Function} updater The function to produce the updated value.
 * @param {Function} [customizer] The function to customize path creation.
 * @returns {Object} Returns `object`.
 */
function baseUpdate(object, path, updater, customizer) {
  return _baseSet.default(object, path, updater(_baseGet.default(object, path)), customizer);
}

exports.default = baseUpdate;
//# sourceMappingURL=_baseUpdate.js.map
