'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var isArrayLikeObject = require('./isArrayLikeObject.js');

/**
 * Casts `value` to an empty array if it's not an array like object.
 *
 * @private
 * @param {*} value The value to inspect.
 * @returns {Array|Object} Returns the cast array-like object.
 */
function castArrayLikeObject(value) {
  return isArrayLikeObject.default(value) ? value : [];
}

exports.default = castArrayLikeObject;
//# sourceMappingURL=_castArrayLikeObject.js.map
