'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var identity = require('./identity.js');

/**
 * Casts `value` to `identity` if it's not a function.
 *
 * @private
 * @param {*} value The value to inspect.
 * @returns {Function} Returns cast function.
 */
function castFunction(value) {
  return typeof value == 'function' ? value : identity.default;
}

exports.default = castFunction;
//# sourceMappingURL=_castFunction.js.map
