'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _cloneArrayBuffer = require('./_cloneArrayBuffer.js');

/**
 * Creates a clone of `dataView`.
 *
 * @private
 * @param {Object} dataView The data view to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the cloned data view.
 */
function cloneDataView(dataView, isDeep) {
  var buffer = isDeep ? _cloneArrayBuffer.default(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}

exports.default = cloneDataView;
//# sourceMappingURL=_cloneDataView.js.map
