'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _cloneArrayBuffer = require('./_cloneArrayBuffer.js');

/**
 * Creates a clone of `typedArray`.
 *
 * @private
 * @param {Object} typedArray The typed array to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the cloned typed array.
 */
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? _cloneArrayBuffer.default(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}

exports.default = cloneTypedArray;
//# sourceMappingURL=_cloneTypedArray.js.map
