'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _copyObject = require('./_copyObject.js');
var _getSymbols = require('./_getSymbols.js');

/**
 * Copies own symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbols(source, object) {
  return _copyObject.default(source, _getSymbols.default(source), object);
}

exports.default = copySymbols;
//# sourceMappingURL=_copySymbols.js.map
