'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _copyObject = require('./_copyObject.js');
var _getSymbolsIn = require('./_getSymbolsIn.js');

/**
 * Copies own and inherited symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbolsIn(source, object) {
  return _copyObject.default(source, _getSymbolsIn.default(source), object);
}

exports.default = copySymbolsIn;
//# sourceMappingURL=_copySymbolsIn.js.map
