'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _arrayReduce = require('./_arrayReduce.js');
var deburr = require('./deburr.js');
var words = require('./words.js');

/** Used to compose unicode capture groups. */
var rsApos = "['\u2019]";

/** Used to match apostrophes. */
var reApos = RegExp(rsApos, 'g');

/**
 * Creates a function like `_.camelCase`.
 *
 * @private
 * @param {Function} callback The function to combine each word.
 * @returns {Function} Returns the new compounder function.
 */
function createCompounder(callback) {
  return function(string) {
    return _arrayReduce.default(words.default(deburr.default(string).replace(reApos, '')), callback, '');
  };
}

exports.default = createCompounder;
//# sourceMappingURL=_createCompounder.js.map
