'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseInverter = require('./_baseInverter.js');

/**
 * Creates a function like `_.invertBy`.
 *
 * @private
 * @param {Function} setter The function to set accumulator values.
 * @param {Function} toIteratee The function to resolve iteratees.
 * @returns {Function} Returns the new inverter function.
 */
function createInverter(setter, toIteratee) {
  return function(object, iteratee) {
    return _baseInverter.default(object, setter, toIteratee(iteratee), {});
  };
}

exports.default = createInverter;
//# sourceMappingURL=_createInverter.js.map
