'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var toNumber = require('./toNumber.js');

/**
 * Creates a function that performs a relational operation on two values.
 *
 * @private
 * @param {Function} operator The function to perform the operation.
 * @returns {Function} Returns the new relational operation function.
 */
function createRelationalOperation(operator) {
  return function(value, other) {
    if (!(typeof value == 'string' && typeof other == 'string')) {
      value = toNumber.default(value);
      other = toNumber.default(other);
    }
    return operator(value, other);
  };
}

exports.default = createRelationalOperation;
//# sourceMappingURL=_createRelationalOperation.js.map
