'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _basePropertyOf = require('./_basePropertyOf.js');

/** Used to map characters to HTML entities. */
var htmlEscapes = {
  '&': '&amp;',
  '<': '&lt;',
  '>': '&gt;',
  '"': '&quot;',
  "'": '&#39;'
};

/**
 * Used by `_.escape` to convert characters to HTML entities.
 *
 * @private
 * @param {string} chr The matched character to escape.
 * @returns {string} Returns the escaped character.
 */
var escapeHtmlChar = _basePropertyOf.default(htmlEscapes);

exports.default = escapeHtmlChar;
//# sourceMappingURL=_escapeHtmlChar.js.map
