'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _metaMap = require('./_metaMap.js');
var noop = require('./noop.js');

/**
 * Gets metadata for `func`.
 *
 * @private
 * @param {Function} func The function to query.
 * @returns {*} Returns the metadata for `func`.
 */
var getData = !_metaMap.default ? noop.default : function(func) {
  return _metaMap.default.get(func);
};

exports.default = getData;
//# sourceMappingURL=_getData.js.map
