'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _isKeyable = require('./_isKeyable.js');

/**
 * Gets the data for `map`.
 *
 * @private
 * @param {Object} map The map to query.
 * @param {string} key The reference key.
 * @returns {*} Returns the map data.
 */
function getMapData(map, key) {
  var data = map.__data__;
  return _isKeyable.default(key)
    ? data[typeof key == 'string' ? 'string' : 'hash']
    : data.map;
}

exports.default = getMapData;
//# sourceMappingURL=_getMapData.js.map
