'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _isStrictComparable = require('./_isStrictComparable.js');
var keys = require('./keys.js');

/**
 * Gets the property names, values, and compare flags of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the match data of `object`.
 */
function getMatchData(object) {
  var result = keys.default(object),
      length = result.length;

  while (length--) {
    var key = result[length],
        value = object[key];

    result[length] = [key, value, _isStrictComparable.default(value)];
  }
  return result;
}

exports.default = getMatchData;
//# sourceMappingURL=_getMatchData.js.map
