'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseIsNative = require('./_baseIsNative.js');
var _getValue = require('./_getValue.js');

/**
 * Gets the native function at `key` of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {string} key The key of the method to get.
 * @returns {*} Returns the function if it's native, else `undefined`.
 */
function getNative(object, key) {
  var value = _getValue.default(object, key);
  return _baseIsNative.default(value) ? value : undefined;
}

exports.default = getNative;
//# sourceMappingURL=_getNative.js.map
