'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseCreate = require('./_baseCreate.js');
var _getPrototype = require('./_getPrototype.js');
var _isPrototype = require('./_isPrototype.js');

/**
 * Initializes an object clone.
 *
 * @private
 * @param {Object} object The object to clone.
 * @returns {Object} Returns the initialized clone.
 */
function initCloneObject(object) {
  return (typeof object.constructor == 'function' && !_isPrototype.default(object))
    ? _baseCreate.default(_getPrototype.default(object))
    : {};
}

exports.default = initCloneObject;
//# sourceMappingURL=_initCloneObject.js.map
