'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _Symbol = require('./_Symbol.js');
var isArguments = require('./isArguments.js');
var isArray = require('./isArray.js');

/** Built-in value references. */
var spreadableSymbol = _Symbol.default ? _Symbol.default.isConcatSpreadable : undefined;

/**
 * Checks if `value` is a flattenable `arguments` object or array.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is flattenable, else `false`.
 */
function isFlattenable(value) {
  return isArray.default(value) || isArguments.default(value) ||
    !!(spreadableSymbol && value && value[spreadableSymbol]);
}

exports.default = isFlattenable;
//# sourceMappingURL=_isFlattenable.js.map
