'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _coreJsData = require('./_coreJsData.js');
var isFunction = require('./isFunction.js');
var stubFalse = require('./stubFalse.js');

/**
 * Checks if `func` is capable of being masked.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `func` is maskable, else `false`.
 */
var isMaskable = _coreJsData.default ? isFunction.default : stubFalse.default;

exports.default = isMaskable;
//# sourceMappingURL=_isMaskable.js.map
