'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _getMapData = require('./_getMapData.js');

/**
 * Removes `key` and its value from the map.
 *
 * @private
 * @name delete
 * @memberOf MapCache
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function mapCacheDelete(key) {
  var result = _getMapData.default(this, key)['delete'](key);
  this.size -= result ? 1 : 0;
  return result;
}

exports.default = mapCacheDelete;
//# sourceMappingURL=_mapCacheDelete.js.map
