'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseGet = require('./_baseGet.js');
var _baseSlice = require('./_baseSlice.js');

/**
 * Gets the parent value at `path` of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array} path The path to get the parent value of.
 * @returns {*} Returns the parent value.
 */
function parent(object, path) {
  return path.length < 2 ? object : _baseGet.default(object, _baseSlice.default(path, 0, -1));
}

exports.default = parent;
//# sourceMappingURL=_parent.js.map
