'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _getWrapDetails = require('./_getWrapDetails.js');
var _insertWrapDetails = require('./_insertWrapDetails.js');
var _setToString = require('./_setToString.js');
var _updateWrapDetails = require('./_updateWrapDetails.js');

/**
 * Sets the `toString` method of `wrapper` to mimic the source of `reference`
 * with wrapper details in a comment at the top of the source body.
 *
 * @private
 * @param {Function} wrapper The function to modify.
 * @param {Function} reference The reference function.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @returns {Function} Returns `wrapper`.
 */
function setWrapToString(wrapper, reference, bitmask) {
  var source = (reference + '');
  return _setToString.default(wrapper, _insertWrapDetails.default(source, _updateWrapDetails.default(_getWrapDetails.default(source), bitmask)));
}

exports.default = setWrapToString;
//# sourceMappingURL=_setWrapToString.js.map
