'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _asciiSize = require('./_asciiSize.js');
var _hasUnicode = require('./_hasUnicode.js');
var _unicodeSize = require('./_unicodeSize.js');

/**
 * Gets the number of symbols in `string`.
 *
 * @private
 * @param {string} string The string to inspect.
 * @returns {number} Returns the string size.
 */
function stringSize(string) {
  return _hasUnicode.default(string)
    ? _unicodeSize.default(string)
    : _asciiSize.default(string);
}

exports.default = stringSize;
//# sourceMappingURL=_stringSize.js.map
