'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _asciiToArray = require('./_asciiToArray.js');
var _hasUnicode = require('./_hasUnicode.js');
var _unicodeToArray = require('./_unicodeToArray.js');

/**
 * Converts `string` to an array.
 *
 * @private
 * @param {string} string The string to convert.
 * @returns {Array} Returns the converted array.
 */
function stringToArray(string) {
  return _hasUnicode.default(string)
    ? _unicodeToArray.default(string)
    : _asciiToArray.default(string);
}

exports.default = stringToArray;
//# sourceMappingURL=_stringToArray.js.map
