'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseInvoke = require('./_baseInvoke.js');
var _baseRest = require('./_baseRest.js');

/**
 * Invokes the method at `path` of `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the method to invoke.
 * @param {...*} [args] The arguments to invoke the method with.
 * @returns {*} Returns the result of the invoked method.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': [1, 2, 3, 4] } }] };
 *
 * _.invoke(object, 'a[0].b.c.slice', 1, 3);
 * // => [2, 3]
 */
var invoke = _baseRest.default(_baseInvoke.default);

exports.default = invoke;
//# sourceMappingURL=invoke.js.map
