'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseIsArrayBuffer = require('./_baseIsArrayBuffer.js');
var _baseUnary = require('./_baseUnary.js');
var _nodeUtil = require('./_nodeUtil.js');

/* Node.js helper references. */
var nodeIsArrayBuffer = _nodeUtil.default && _nodeUtil.default.isArrayBuffer;

/**
 * Checks if `value` is classified as an `ArrayBuffer` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
 * @example
 *
 * _.isArrayBuffer(new ArrayBuffer(2));
 * // => true
 *
 * _.isArrayBuffer(new Array(2));
 * // => false
 */
var isArrayBuffer = nodeIsArrayBuffer ? _baseUnary.default(nodeIsArrayBuffer) : _baseIsArrayBuffer.default;

exports.default = isArrayBuffer;
//# sourceMappingURL=isArrayBuffer.js.map
