'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseIsDate = require('./_baseIsDate.js');
var _baseUnary = require('./_baseUnary.js');
var _nodeUtil = require('./_nodeUtil.js');

/* Node.js helper references. */
var nodeIsDate = _nodeUtil.default && _nodeUtil.default.isDate;

/**
 * Checks if `value` is classified as a `Date` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a date object, else `false`.
 * @example
 *
 * _.isDate(new Date);
 * // => true
 *
 * _.isDate('Mon April 23 2012');
 * // => false
 */
var isDate = nodeIsDate ? _baseUnary.default(nodeIsDate) : _baseIsDate.default;

exports.default = isDate;
//# sourceMappingURL=isDate.js.map
