'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseIsRegExp = require('./_baseIsRegExp.js');
var _baseUnary = require('./_baseUnary.js');
var _nodeUtil = require('./_nodeUtil.js');

/* Node.js helper references. */
var nodeIsRegExp = _nodeUtil.default && _nodeUtil.default.isRegExp;

/**
 * Checks if `value` is classified as a `RegExp` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
 * @example
 *
 * _.isRegExp(/abc/);
 * // => true
 *
 * _.isRegExp('/abc/');
 * // => false
 */
var isRegExp = nodeIsRegExp ? _baseUnary.default(nodeIsRegExp) : _baseIsRegExp.default;

exports.default = isRegExp;
//# sourceMappingURL=isRegExp.js.map
