'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseIsSet = require('./_baseIsSet.js');
var _baseUnary = require('./_baseUnary.js');
var _nodeUtil = require('./_nodeUtil.js');

/* Node.js helper references. */
var nodeIsSet = _nodeUtil.default && _nodeUtil.default.isSet;

/**
 * Checks if `value` is classified as a `Set` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 * @example
 *
 * _.isSet(new Set);
 * // => true
 *
 * _.isSet(new WeakSet);
 * // => false
 */
var isSet = nodeIsSet ? _baseUnary.default(nodeIsSet) : _baseIsSet.default;

exports.default = isSet;
//# sourceMappingURL=isSet.js.map
