'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var castArray = require('./castArray.js');
var clone = require('./clone.js');
var cloneDeep = require('./cloneDeep.js');
var cloneDeepWith = require('./cloneDeepWith.js');
var cloneWith = require('./cloneWith.js');
var conformsTo = require('./conformsTo.js');
var eq = require('./eq.js');
var gt = require('./gt.js');
var gte = require('./gte.js');
var isArguments = require('./isArguments.js');
var isArray = require('./isArray.js');
var isArrayBuffer = require('./isArrayBuffer.js');
var isArrayLike = require('./isArrayLike.js');
var isArrayLikeObject = require('./isArrayLikeObject.js');
var isBoolean = require('./isBoolean.js');
var isBuffer = require('./isBuffer.js');
var isDate = require('./isDate.js');
var isElement = require('./isElement.js');
var isEmpty = require('./isEmpty.js');
var isEqual = require('./isEqual.js');
var isEqualWith = require('./isEqualWith.js');
var isError = require('./isError.js');
var isFinite = require('./isFinite.js');
var isFunction = require('./isFunction.js');
var isInteger = require('./isInteger.js');
var isLength = require('./isLength.js');
var isMap = require('./isMap.js');
var isMatch = require('./isMatch.js');
var isMatchWith = require('./isMatchWith.js');
var isNaN = require('./isNaN.js');
var isNative = require('./isNative.js');
var isNil = require('./isNil.js');
var isNull = require('./isNull.js');
var isNumber = require('./isNumber.js');
var isObject = require('./isObject.js');
var isObjectLike = require('./isObjectLike.js');
var isPlainObject = require('./isPlainObject.js');
var isRegExp = require('./isRegExp.js');
var isSafeInteger = require('./isSafeInteger.js');
var isSet = require('./isSet.js');
var isString = require('./isString.js');
var isSymbol = require('./isSymbol.js');
var isTypedArray = require('./isTypedArray.js');
var isUndefined = require('./isUndefined.js');
var isWeakMap = require('./isWeakMap.js');
var isWeakSet = require('./isWeakSet.js');
var lt = require('./lt.js');
var lte = require('./lte.js');
var toArray = require('./toArray.js');
var toFinite = require('./toFinite.js');
var toInteger = require('./toInteger.js');
var toLength = require('./toLength.js');
var toNumber = require('./toNumber.js');
var toPlainObject = require('./toPlainObject.js');
var toSafeInteger = require('./toSafeInteger.js');
var toString = require('./toString.js');

var lang = {
  castArray: castArray.default, clone: clone.default, cloneDeep: cloneDeep.default, cloneDeepWith: cloneDeepWith.default, cloneWith: cloneWith.default,
  conformsTo: conformsTo.default, eq: eq.default, gt: gt.default, gte: gte.default, isArguments: isArguments.default,
  isArray: isArray.default, isArrayBuffer: isArrayBuffer.default, isArrayLike: isArrayLike.default, isArrayLikeObject: isArrayLikeObject.default, isBoolean: isBoolean.default,
  isBuffer: isBuffer.default, isDate: isDate.default, isElement: isElement.default, isEmpty: isEmpty.default, isEqual: isEqual.default,
  isEqualWith: isEqualWith.default, isError: isError.default, isFinite: isFinite.default, isFunction: isFunction.default, isInteger: isInteger.default,
  isLength: isLength.default, isMap: isMap.default, isMatch: isMatch.default, isMatchWith: isMatchWith.default, isNaN: isNaN.default,
  isNative: isNative.default, isNil: isNil.default, isNull: isNull.default, isNumber: isNumber.default, isObject: isObject.default,
  isObjectLike: isObjectLike.default, isPlainObject: isPlainObject.default, isRegExp: isRegExp.default, isSafeInteger: isSafeInteger.default, isSet: isSet.default,
  isString: isString.default, isSymbol: isSymbol.default, isTypedArray: isTypedArray.default, isUndefined: isUndefined.default, isWeakMap: isWeakMap.default,
  isWeakSet: isWeakSet.default, lt: lt.default, lte: lte.default, toArray: toArray.default, toFinite: toFinite.default,
  toInteger: toInteger.default, toLength: toLength.default, toNumber: toNumber.default, toPlainObject: toPlainObject.default, toSafeInteger: toSafeInteger.default,
  toString: toString.default
};

exports.default = lang;
//# sourceMappingURL=lang.default.js.map
