'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _createCaseFirst = require('./_createCaseFirst.js');

/**
 * Converts the first character of `string` to lower case.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the converted string.
 * @example
 *
 * _.lowerFirst('Fred');
 * // => 'fred'
 *
 * _.lowerFirst('FRED');
 * // => 'fRED'
 */
var lowerFirst = _createCaseFirst.default('toLowerCase');

exports.default = lowerFirst;
//# sourceMappingURL=lowerFirst.js.map
