'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseMean = require('./_baseMean.js');
var identity = require('./identity.js');

/**
 * Computes the mean of the values in `array`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @returns {number} Returns the mean.
 * @example
 *
 * _.mean([4, 2, 8, 6]);
 * // => 5
 */
function mean(array) {
  return _baseMean.default(array, identity.default);
}

exports.default = mean;
//# sourceMappingURL=mean.js.map
