'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseExtremum = require('./_baseExtremum.js');
var _baseLt = require('./_baseLt.js');
var identity = require('./identity.js');

/**
 * Computes the minimum value of `array`. If `array` is empty or falsey,
 * `undefined` is returned.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Math
 * @param {Array} array The array to iterate over.
 * @returns {*} Returns the minimum value.
 * @example
 *
 * _.min([4, 2, 8, 6]);
 * // => 2
 *
 * _.min([]);
 * // => undefined
 */
function min(array) {
  return (array && array.length)
    ? _baseExtremum.default(array, identity.default, _baseLt.default)
    : undefined;
}

exports.default = min;
//# sourceMappingURL=min.js.map
