'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _arraySample = require('./_arraySample.js');
var _baseSample = require('./_baseSample.js');
var isArray = require('./isArray.js');

/**
 * Gets a random element from `collection`.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to sample.
 * @returns {*} Returns the random element.
 * @example
 *
 * _.sample([1, 2, 3, 4]);
 * // => 2
 */
function sample(collection) {
  var func = isArray.default(collection) ? _arraySample.default : _baseSample.default;
  return func(collection);
}

exports.default = sample;
//# sourceMappingURL=sample.js.map
