'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseSum = require('./_baseSum.js');
var identity = require('./identity.js');

/**
 * Computes the sum of the values in `array`.
 *
 * @static
 * @memberOf _
 * @since 3.4.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @returns {number} Returns the sum.
 * @example
 *
 * _.sum([4, 2, 8, 6]);
 * // => 20
 */
function sum(array) {
  return (array && array.length)
    ? _baseSum.default(array, identity.default)
    : 0;
}

exports.default = sum;
//# sourceMappingURL=sum.js.map
