'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _createCaseFirst = require('./_createCaseFirst.js');

/**
 * Converts the first character of `string` to upper case.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the converted string.
 * @example
 *
 * _.upperFirst('fred');
 * // => 'Fred'
 *
 * _.upperFirst('FRED');
 * // => 'FRED'
 */
var upperFirst = _createCaseFirst.default('toUpperCase');

exports.default = upperFirst;
//# sourceMappingURL=upperFirst.js.map
