'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _baseWrapperValue = require('./_baseWrapperValue.js');

/**
 * Executes the chain sequence to resolve the unwrapped value.
 *
 * @name value
 * @memberOf _
 * @since 0.1.0
 * @alias toJSON, valueOf
 * @category Seq
 * @returns {*} Returns the resolved unwrapped value.
 * @example
 *
 * _([1, 2, 3]).value();
 * // => [1, 2, 3]
 */
function wrapperValue() {
  return _baseWrapperValue.default(this.__wrapped__, this.__actions__);
}

exports.default = wrapperValue;
//# sourceMappingURL=wrapperValue.js.map
