'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../node_modules/.pnpm/@material_material-color-utilities@0.2.7/node_modules/@material/material-color-utilities/index.js');
var theme = require('./theme.js');
var default_theme = require('./default.theme.js');
var utils = require('./utils.js');
var string_utils = require('../../../node_modules/.pnpm/@material_material-color-utilities@0.2.7/node_modules/@material/material-color-utilities/utils/string_utils.js');
var theme_utils = require('../../../node_modules/.pnpm/@material_material-color-utilities@0.2.7/node_modules/@material/material-color-utilities/utils/theme_utils.js');

"use strict";
const createTheme = (source = default_theme.default.source, options = { target: "root" }) => {
  const config = options.config ?? {};
  const target = options.target;
  const { schemes: $schemes, mode } = config;
  const customColors = [
    ...default_theme.default.customColors,
    ...config.customColors ?? []
  ];
  const dynamicTheme = theme_utils.themeFromSourceColor(string_utils.argbFromHex(source), customColors);
  const palettes = {
    ...utils.parsePalettes(dynamicTheme.palettes),
    ...utils.createCustomPalettes(customColors)
  };
  const additionalSchemes = utils.newSchemes(dynamicTheme);
  const lightSchemes = utils.mergeParsedSchemes(
    utils.parseShcemes(dynamicTheme.schemes.light),
    utils.parsedNewSchemes(additionalSchemes.light),
    utils.parseCustomSchemes(dynamicTheme.customColors, "light")
  );
  const darkSchemes = utils.mergeParsedSchemes(
    utils.parseShcemes(dynamicTheme.schemes.dark),
    utils.parsedNewSchemes(additionalSchemes.dark),
    utils.parseCustomSchemes(dynamicTheme.customColors, "dark")
  );
  const { schemes } = mode === "dark" ? darkSchemes : lightSchemes;
  const theme$1 = vue.ref(
    new theme.default(
      { ...schemes, ...$schemes },
      palettes,
      mode,
      lightSchemes,
      darkSchemes,
      target
    )
  );
  return theme$1;
};

exports.createTheme = createTheme;
exports.default = createTheme;
//# sourceMappingURL=create-theme.js.map
