'use strict';

var vue = require('vue');
var emotionCss_esm = require('../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');
var useTheme = require('../hooks/use-theme.js');

"use strict";
const styled = (comp, props) => {
  return (style, ...args) => {
    const theme = useTheme.useTheme();
    return /* @__PURE__ */ vue.defineComponent({
      setup(_, {
        slots
      }) {
        const cssClass = vue.computed(() => style instanceof Function ? emotionCss_esm.css(style(theme?.value)) : emotionCss_esm.css(style, ...args));
        return () => {
          const Comp = comp;
          return vue.createVNode(Comp, vue.mergeProps(props, {
            class: cssClass.value
          }), {
            default: () => [slots?.default?.()]
          });
        };
      }
    });
  };
};

exports.styled = styled;
//# sourceMappingURL=styled.js.map
