'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../color/index.js');
require('../state/index.js');
require('../elevation/index.js');
require('../typography/index.js');
require('../motion/index.js');
require('../z-index/index.js');
var color = require('../color/color.js');
var state = require('../state/state.js');
var elevation = require('../elevation/elevation.js');
var typography = require('../typography/typography.js');
var zIndex = require('../z-index/z-index.js');
var motion = require('../motion/motion.js');

"use strict";
class Theme {
  constructor(schemes, palettes, mode = "light", lightSchemes, darkSchemes, target) {
    this.colors = color.default;
    this.states = state.default;
    this.elevations = elevation.default;
    this.typography = typography.default;
    this.zIndex = zIndex.zIndex;
    this.motion = motion.default;
    this.schemes = schemes;
    this.mode = mode;
    this.palettes = palettes;
    this._lightSchemes = lightSchemes;
    this._darkSchemes = darkSchemes;
    this.target = target;
  }
  toggleMode() {
    this.mode = this.mode === "light" ? "dark" : "light";
  }
}

exports.default = Theme;
//# sourceMappingURL=theme.js.map
