'use strict';

var vue = require('vue');
require('../../../node_modules/.pnpm/@material_material-color-utilities@0.2.7/node_modules/@material/material-color-utilities/index.js');
require('../../../utils/index.js');
var useTheme = require('./use-theme.js');
var string = require('../../../utils/src/javascript/string.js');
var string_utils = require('../../../node_modules/.pnpm/@material_material-color-utilities@0.2.7/node_modules/@material/material-color-utilities/utils/string_utils.js');
var core_palette = require('../../../node_modules/.pnpm/@material_material-color-utilities@0.2.7/node_modules/@material/material-color-utilities/palettes/core_palette.js');

"use strict";
const genColor = (props, key, theme) => {
  return vue.computed(() => {
    const color = props?.[key];
    if (typeof color === "function") {
      return color(theme.value);
    }
    if (color in theme.value.schemes) {
      const _color = color.replace(/([a-z])([A-Z])/g, "$1-$2").toLowerCase();
      return `var(--md-sys-color-${_color})`;
    }
    return color;
  });
};
const genOnColor = (props, key, theme) => {
  return vue.computed(() => {
    const color = props?.[key];
    let computedColor;
    if (typeof color === "function") {
      computedColor = color(theme.value);
    } else if (color in theme.value.schemes) {
      const _color = color.replace(/([a-z])([A-Z])/g, "$1-$2").toLowerCase();
      if (color.startsWith("on")) {
        return `var(--md-sys-color-${_color})`;
      }
      if (`on${string.toCapitalize(color)}` in theme.value.schemes) {
        return `var(--md-sys-color-on-${_color})`;
      }
      computedColor = theme.value.schemes[color];
    } else if (color.startsWith("#")) {
      computedColor = color;
    } else {
      return "var(--md-sys-color-on-surface)";
    }
    const tones = core_palette.CorePalette.of(string_utils.argbFromHex(computedColor)).a1;
    const onColor = theme.value.mode === "dark" ? tones.tone(20) : tones.tone(100);
    return string_utils.hexFromArgb(onColor);
  });
};
const useColor = (props, key) => {
  const theme = useTheme.useTheme();
  if (!key || !(key in props) || !["string", "function"].includes(typeof props[key])) {
    return [vue.ref(null), vue.ref(null)];
  }
  const color = genColor(props, key, theme);
  const onColor = genOnColor(props, key, theme);
  return [color, onColor];
};

exports.useColor = useColor;
//# sourceMappingURL=use-color.js.map
