'use strict';

"use strict";
const singleton = (className) => {
  let instance;
  const proxy = new Proxy(className, {
    construct(_target, args) {
      if (!instance) {
        instance = new className(...args);
      }
      return instance;
    }
  });
  proxy.prototype.constructor = proxy;
  return proxy;
};

exports.singleton = singleton;
//# sourceMappingURL=singleton.js.map
