import type { ExtractPropTypes, PropType } from 'vue';
export declare const buttonGroupOrientations: readonly ["horizontal", "vertical"];
export type ButtonGroupOrientations = typeof buttonGroupOrientations[number];
export declare const buttonGroupProps: {
    orientation: {
        type: PropType<"horizontal" | "vertical">;
        values: readonly ["horizontal", "vertical"];
        default: string;
    };
    variant: import("../../../../utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined") | ((new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined"))[], "text" | "filled" | "outlined", unknown, string, boolean>;
    shape: import("../../../../utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded") | ((new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded"))[], "square" | "rounded" | "fullRounded", unknown, string, boolean>;
    size: import("../../../../utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("../../../../utils").InPropFinalized<(new (...args: any[]) => string | import("../../../../theme").ThemeCallBack) | (() => import("../../../../theme").AcceptableColor) | ((new (...args: any[]) => string | import("../../../../theme").ThemeCallBack) | (() => import("../../../../theme").AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("../../../../utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    disableElevation: import("../../../../utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
};
export type ButtonGroupProps = ExtractPropTypes<typeof buttonGroupProps>;
