import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes } from 'vue';
import { type ComponentSizes } from '@interface-ui/constants';
export declare const buttonVariants: readonly ["text", "filled", "outlined"];
export type ButtonVariants = typeof buttonVariants[number];
export declare const buttonShapes: readonly ["rounded", "fullRounded", "square"];
export type ButtonShapes = typeof buttonShapes[number];
export declare const buttonHeight: Record<ComponentSizes, number>;
export declare const buttonProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined") | ((new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined"))[], "text" | "filled" | "outlined", unknown, string, boolean>;
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded") | ((new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded"))[], "square" | "rounded" | "fullRounded", unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    disableElevation: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
};
export type ButtonProps = ExtractPropTypes<typeof buttonProps>;
