import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes, PropType } from 'vue';
export type CheckboxStatus = 'blank' | 'checked';
export declare const checkboxProps: {
    modelValue: {
        type: PropType<boolean | string[]>;
    };
    color: {
        type: PropType<AcceptableColor>;
        default: string;
    };
    size: {
        type: PropType<"small" | "medium" | "large">;
        value: readonly ["small", "medium", "large"];
        default: string;
    };
};
export type CheckboxProps = ExtractPropTypes<typeof checkboxProps>;
