import type { Ref } from 'vue';
import type { ThemeOptions } from '../types';
import Theme from './theme';
/**
 * The hook to create the theme
 * @param {string} source The source color of the theme, the value should be "Hex"
 * @param {ThemeConfig} config The object to customize the theme
 * @returns {Ref<Theme> } Theme object
 */
export declare const createTheme: (source?: string, options?: ThemeOptions) => Ref<Theme>;
export default createTheme;
