import type { ThemeMode } from '../mode';
import type { Schemes, SeveritySchemes, ThemePalettes, ThemeSchemes } from '../types';
import type { ParsedSchemes } from './types';
export default class Theme {
    mode: ThemeMode;
    readonly schemes: ThemeSchemes;
    readonly colors: import("../color").Colors<{
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    }>;
    readonly states: import("../state").States;
    readonly elevations: import("../elevation").Elevations;
    readonly typography: import("../typography").Typography;
    readonly zIndex: import("../z-index").ZIndex;
    readonly motion: import("../motion").Motion;
    readonly palettes: ThemePalettes;
    readonly inject?: string;
    readonly target: 'root' | 'host';
    readonly _lightSchemes: ParsedSchemes;
    readonly _darkSchemes: ParsedSchemes;
    constructor(schemes: Schemes & SeveritySchemes, palettes: ThemePalettes, mode: ThemeMode | undefined, lightSchemes: ParsedSchemes, darkSchemes: ParsedSchemes, target: 'root' | 'host');
    toggleMode(): void;
}
