import type { ComputedRef, Ref } from 'vue';
/**
 * The function returns the pair of valuable [color, onColor] from props.color
 * The props.color can be any key in theme.schemes, a function, or a hex color
 * (e.g. "primary" | "onPrimary") | (theme: Theme) => string | "string" (e.g. "red") | HexColor (e.g. "#fff")
 * @param {T extends { [k: string]: AcceptableColor | any }} props The props of component
 * @param {keyof T} key The key of props
 * @return {Ref<null>[] | ComputedRef<string>[]} The pair of color and onColor, [color, onColor]
 */
export declare const useColor: <T extends {
    [k: string]: any;
}>(props: T, key: keyof T) => Ref<null>[] | ComputedRef<string>[];
