import type { ComponentSizes } from '@interface-ui/constants';
export interface TypographyProp {
    fontFamily: string;
    fontWeight: number;
    fontSize: string;
    fontStyle: string;
    letterSpacing: string;
    lineHeight: string;
    textTransform: string;
}
export declare const typographyWithSize: readonly ["title", "body", "label"];
export type TypographyWithSize = typeof typographyWithSize[number];
export declare const typographyWithoutSize: readonly ["h1", "h2", "h3", "h4", "h5", "h6"];
export type TypographyWithoutSize = typeof typographyWithoutSize[number];
export type TypographyType = TypographyWithoutSize | TypographyWithSize;
interface TypographyDefaultConfig {
    fontFamily: string;
    htmlFontSize: number;
    fontSize: number;
    pxToRem: (size: number) => string;
}
export type Typography = TypographyDefaultConfig & Record<TypographyWithoutSize, TypographyProp> & Record<TypographyWithSize, Record<ComponentSizes, TypographyProp>>;
export type TypographyMap = Record<TypographyType, string>;
export declare const typographyMapping: TypographyMap;
export {};
